import React,{Component,Fragment} from 'react'
import PropTypes from 'prop-types'
import {Page,Validator,Notification,FormItem,DatePickerItem,TextAreaItem,CheckboxItem,Checkbox,
    InputItem,Input,Bind,SelectItem,Button,Label,Image,Table,BottomBtn} from '@/components/Common-Library'
import Api from '@/service/api'
import mBrtdck from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable,runInAction } from 'mobx'
import Business from '@/views/Public/Business'
import Ptspta2 from '@/views/Public/Ptspta2'
import {Row,Col} from 'antd'


const CodeTable = CodeTableFactory.getInstance()


@inject('UserContext')
@inject('i18n')
@observer
export default class BrtdckScreen extends Page
{
    static childContextTypes = {
        trn: PropTypes.string,
    }
    getChildContext () {
        return {trn:'brtdck'}
    }
    
    
    @observable
    formBlur=false

    constructor(props)
    {
        super(props)
        this.model = new mBrtdck()    
        this.bind = Bind.bind(this)
    }
	
	async componentWillMount() 
	{
		/*
		*添加初始化代码
		*/
		const rtnmsg = await Api.post('brtdck/init',{data:this.model})
		if(rtnmsg.retcod == SUCCESS)
		{
           const {data} = rtnmsg
           runInAction(()=>{
                Object.assign(this.model,data)
           }) 
        }
		//快照模式下，不必开启校验，否则，静默校验，和记录变动
		!this.loadDisplay() && this.model.openMonitor && this.model.openMonitor() //开启校验	
	}
    componentWillUnmount()
    {
        this.model.stopMonitor&&this.model.stopMonitor()//关闭校验
    }

    
    //按钮事件
    


    //
    onDocdis_buttxmsel= ()=>{
        this.formBlur=true  //已触发表单提交处理
        Validator.validate(this.model,this.model.descriptor,async(errors,values)=>{
                if(errors)
                    return 
                const rtnmsg = await Api.post('brtdck/docdis_buttxmsel',{data:this.model})
                if(rtnmsg.retcod == SUCCESS)
                {
                    Notification.success({message:'数据提交成功!'})
                    
                }
                else
                {
                	Notification.error({message:'服务端请求失败!'})
                }
                //余下逻辑处理
                    
        })
    }
    onSetinstxm_buttxmsel= ()=>{
        this.formBlur=true  //已触发表单提交处理
        Validator.validate(this.model,this.model.descriptor,async(errors,values)=>{
                if(errors)
                    return 
                const rtnmsg = await Api.post('brtdck/setinstxm_buttxmsel',{data:this.model})
                if(rtnmsg.retcod == SUCCESS)
                {
                    Notification.success({message:'数据提交成功!'})
                    
                }
                else
                {
                	Notification.error({message:'服务端请求失败!'})
                }
                //余下逻辑处理
                    
        })
    }
    

    //交易内实现
    renderPage(){
    	const bind = this.bind
        const {i18n} = this.props
             
        return (
        	<div className="transPage">
                <Business wrappedComponentRef={ref => (this.com = ref)} page={this} extra={this.props.extra} steps={this.props.steps} model={this.model} />
                <Row>
						<Col span={12}>
							<Row className="row">
								<Col span={5} offset={2}>
                                    <Label itext="不符点" trn="brtdck" />	
								</Col>
							</Row>
                            <Row className="row">
								<Col span={16} offset={2}>
                                    <TextAreaItem InputProps={bind("blk_docdis")} desp="Discrepancies" path="/brdgrp/blk/docdis"/>
								</Col>
                                <Col span={2} offset={1}>
                                    <Button  type="primary" icon="search" onClick={this.onDocdis_buttxmsel} desp="..." path="/brtp/docdis/buttxmsel">
		                                 <Label   itext="..."/>
	                                </Button>								
                                </Col>
							</Row>
                            <Row className="row">
								<Col span={5} offset={2}>
                                     <Label itext="注释和结论" trn="brtdck" />	
								</Col>
							</Row>
                            <Row className="row">
								<Col span={16} offset={2}>
                                     <TextAreaItem InputProps={bind("blk_comcon")} desp="Comments and Conclusions" path="/brdgrp/blk/comcon"/>
								</Col>
                                <Col span={2} offset={1}>
                                    <Button  type="primary" icon="search" onClick={this.onSetinstxm_buttxmsel} desp="..." path="/brtp/setinstxm/buttxmsel">
                                        <Label   itext="..."/>
                                    </Button>								
                                </Col>
							</Row>
                            <Row className="row">
								<Col span={5} offset={2}>
                                    <Label itext="结算指示" trn="brtdck" />	
								</Col>
							    </Row>
                             <Row className="row">
								<Col span={16} offset={2}>
                                     <TextAreaItem InputProps={bind("blk_setinsbr")} desp="Settlement Instructions BR" path="/brdgrp/blk/setinsbr"/>
								</Col>
                               
							</Row>
                            <Row className="row">
								<Col span={5} offset={2}>
                                    {/* <Label itext="Discrepancy Advice Dated" trn="brtdck" />	 */}
                                    <Label itext="Disp Adv Dated" trn="brtdck" />	
								</Col>
								<Col span={14}>
                                    <DatePickerItem InputProps={bind("disdat")}  desp="Date of Discrepancy Advice" path="/brdgrp/rec/disdat" />
								</Col>	
							</Row>
						</Col>
                       
						<Col span={12}>
							<Row className="row">
								<Col span={5} offset={2}>
									{/* <Label itext="Ignore Discrepancies" trn="brtdck" />	 */}
                                    <Label itext="Ign Dispc" trn="brtdck" />	
								</Col>
								<Col span={14}>
                                     <CheckboxItem InputProps={bind("igndisflg")}  desp="Ignore Discrepancies" path="/brdgrp/rec/igndisflg" />
								</Col>	
							</Row>
                            <Row className="row">
								<Col span={5} offset={2}>
									{/* <Label itext="discrepancies modified" trn="brtdck" />	 */}
                                    <Label itext="disp modf" trn="brtdck" />	
								</Col>
								<Col span={14}>
                                 <CheckboxItem InputProps={bind("blk_docdisflg")}  desp="discrepancies modified" path="/brdgrp/blk/docdisflg" />
								</Col>	
							</Row>
                            <Row className="row">
								<Col span={5} offset={2}>
                                    <Label itext="收到的通知类型" trn="brtdck" />		
								</Col>
								<Col span={14}>
                                    <SelectItem InputProps={bind("advtyp")} code={CodeTable.advtyp}  desp="Type of Advice Received" path="/brdgrp/rec/advtyp"/>
								</Col>	
							</Row>
                            <Row className="row">
								<Col span={5} offset={2}>
                                     <Label itext="付款日期" trn="brtdck" />	
								</Col>
								<Col span={14}>
                                    <DatePickerItem InputProps={bind("totdat")}  desp="Date to be Paid" path="/brdgrp/rec/totdat" />
								</Col>	
							</Row>
                            
                            <Row className="row">
								<Col span={5} offset={2}>
                                    {/* <Label itext="Documents on Approval Basis" trn="brtdck" />	 */}
                                    <Label itext="Dts on Appl Bas" trn="brtdck" />	
								</Col>
								<Col span={14}>
                                     <CheckboxItem InputProps={bind("approvcod")}  desp="Documents on Approval Basis" path="/brdgrp/rec/approvcod" />
								</Col>	
							</Row>
                            <Row className="row">
								<Col span={5} offset={2}>
                                    <Label itext="Create 752" trn="brtdck" />	
								</Col>
								<Col span={14}>
                                    <CheckboxItem InputProps={bind("brtp_cre752flg")}  desp="Create 752" path="/brtp/cre752flg" />
								</Col>	
							</Row>
                            <Row className="row">
								<Col span={5} offset={2}>
                                    {/* <Label itext="Create MT 732" trn="brtdck" />	 */}
                                    <Label itext="Create MT 732" trn="brtdck" />
								</Col>
								<Col span={14}>
                                    <CheckboxItem InputProps={bind("brtp_cre732flg")}  desp="Create MT 732" path="/brtp/cre732flg" />
								</Col>	
							</Row>
                            <Row className="row">
								<Col span={5} offset={2}>
                                    {/* <Label itext="Further Identification" trn="brtdck" />	 */}
                                    <Label itext="Further Idtf" trn="brtdck" />
								</Col>
								<Col span={14}>
                                     <SelectItem InputProps={bind("brtp_furide")}   desp="MT752: Further Indentification" path="/brtp/furide"/>
								</Col>	
							</Row>
                           
						</Col>
					</Row>
				
	

	

	

	
	

                    <BottomBtn _this={this} />
				
		</div>
		)
	}
}
