import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Brtfre {
    
    @observable
    advdat=""           // \brdgrp\rec\advdat    Date of Advice of Payment 

    @observable
    docflg=""           // \brdgrp\rec\docflg    Usance, Sight or Mixed 

    @observable
    docsta=""           // \brdgrp\rec\docsta    Document Set Status 

    @observable
    matdat=""           // \brdgrp\rec\matdat    Maturity Date 

    @observable
    nam=""           // \brdgrp\rec\nam    Name of Bill Contract 

    @observable
    ownref=""           // \brdgrp\rec\ownref    Own Reference BR Number 

    @observable
    rcvdat=""           // \brdgrp\rec\rcvdat    Date of Receipt of Documents 

    @observable
    expdat=""           // \lidgrp\rec\expdat    Date of Expiry 

    @observable
    ownref1=""           // \lidgrp\rec\ownref    Reference 

    @observable
    pts_nam=""           // \brdgrp\apl\pts\nam    客户英文名称 

    @observable
    pts_ref=""           // \brdgrp\apl\pts\ref    参考号 

    @observable
    pts1_nam=""           // \brdgrp\ben\pts\nam    客户英文名称 

    @observable
    pts1_ref=""           // \brdgrp\ben\pts\ref    参考号 

    @observable
    max_amt=""           // \brdgrp\cbs\max\amt    Balance 

    @observable
    max_cur=""           // \brdgrp\cbs\max\cur    Currency 

    @observable
    opn1_amt=""           // \brdgrp\cbs\opn1\amt    Balance 

    @observable
    opn1_cur=""           // \brdgrp\cbs\opn1\cur    Currency 

    @observable
    pts2_nam=""           // \brdgrp\prb\pts\nam    客户英文名称 

    @observable
    pts2_ref=""           // \brdgrp\prb\pts\ref    参考号 

    @observable
    matp_mattxtlab=""           // \brtp0\matp\mattxtlab    Label for MATTXT 

    @observable
    fremsg_ccrol=""           // \fremsg\ccrol    Role Copy 

    @observable
    fremsg_flg=""           // \fremsg\flg    flg for gitfre 

    @observable
    pts3_adrblk=""           // \fremsg\fmc\pts\adrblk    SWIFT地址 

    @observable
    pts3_extkey=""           // \fremsg\fmc\pts\extkey    客户编号 

    @observable
    pts4_adrblk=""           // \fremsg\fmo\pts\adrblk    SWIFT地址 

    @observable
    pts4_extkey=""           // \fremsg\fmo\pts\extkey    客户编号 

    @observable
    fremsg_fulmt=""           // \fremsg\fulmt    MT to Send 

    @observable
    fremsg_msgrol=""           // \fremsg\msgrol    Role Message 

    @observable
    fremsg_prttitle=""           // \fremsg\prttitle    Document Title 

    @observable
    fremsg_reldat=""           // \fremsg\reldat    from 

    @observable
    fremsg_reldatlab=""           // \fremsg\reldatlab    label for date 

    @observable
    fremsg_reldir=""           // \fremsg\reldir    relevant message sent/received 

    @observable
    fremsg_relmt=""           // \fremsg\relmt    related MT 

    @observable
    fremsg_sndmt=""           // \fremsg\sndmt    message to be created 

    @observable
    fremsg_strinf=""           // \fremsg\strinf    Narrative 

    @observable
    fremsg_strinflab=""           // \fremsg\strinflab    label for tag 79 

    @observable
    fremsg_tag20lab=""           // \fremsg\tag20lab    MT799tag20 

    @observable
    fremsg_tag20ref=""           // \fremsg\tag20ref    tag 20 Ref 

    @observable
    opn11_amt=""           // \lidgrp\cbs\opn1\amt    Balance 

    @observable
    opn11_cur=""           // \lidgrp\cbs\opn1\cur    Currency 

    @observable
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    setmod_feemac=""           // \setmod\feemac    FEEMAC 

    @observable
    glemod_glelst=[]           // \setmod\glemod\glelst 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    setmod_setmac=""           // \setmod\setmac    SETMAC 

    @observable
    spt_inr=""           // \sysmod\spt\inr    唯一编号 

    @observable
    trndoc_condocstm=""           // \trnmod\trndoc\condocstm    Connected Documents 

    @observable
    trndoc_cortyp=""           // \trnmod\trndoc\cortyp    Per Medium 

    @observable
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    @observable
    trndoc_doctrestm=""           // \trnmod\trndoc\doctrestm    Document tree 

    @observable
    trndoc_shwinc=""           // \trnmod\trndoc\shwinc    Show Incoming Messages 

    @observable
    trndoc_shwout=""           // \trnmod\trndoc\shwout    Show Outgoing Messages 

    @observable
    trndoc_shwoutint=""           // \trnmod\trndoc\shwoutint    Show Internal Messages 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.advdat=""
            this.docflg=""
            this.docsta=""
            this.matdat=""
            this.nam=""
            this.ownref=""
            this.rcvdat=""
            this.expdat=""
            this.ownref1=""
            this.pts_nam=""
            this.pts_ref=""
            this.pts1_nam=""
            this.pts1_ref=""
            this.max_amt=""
            this.max_cur=""
            this.opn1_amt=""
            this.opn1_cur=""
            this.pts2_nam=""
            this.pts2_ref=""
            this.matp_mattxtlab=""
            this.fremsg_ccrol=""
            this.fremsg_flg=""
            this.pts3_adrblk=""
            this.pts3_extkey=""
            this.pts4_adrblk=""
            this.pts4_extkey=""
            this.fremsg_fulmt=""
            this.fremsg_msgrol=""
            this.fremsg_prttitle=""
            this.fremsg_reldat=""
            this.fremsg_reldatlab=""
            this.fremsg_reldir=""
            this.fremsg_relmt=""
            this.fremsg_sndmt=""
            this.fremsg_strinf=""
            this.fremsg_strinflab=""
            this.fremsg_tag20lab=""
            this.fremsg_tag20ref=""
            this.opn11_amt=""
            this.opn11_cur=""
            this.setmod_docamt=""
            this.setmod_doccur=""
            this.setmod_feemac=""
            this.glemod_glelst=[]
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_setmac=""
            this.spt_inr=""
            this.trndoc_condocstm=""
            this.trndoc_cortyp=""
            this.trndoc_doccod=""
            this.docmod_doclst=[]
            this.trndoc_docpth=""
            this.trndoc_doctrestm=""
            this.trndoc_shwinc=""
            this.trndoc_shwout=""
            this.trndoc_shwoutint=""
    }

} 


export default Brtfre