import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Brtrop {
    
    @observable
    advdat=""           // \brdgrp\rec\advdat    Date of Advice of Payment 

    @observable
    advtyp=""           // \brdgrp\rec\advtyp    Type of Advice Received 

    @observable
    approvcod=""           // \brdgrp\rec\approvcod    Documents on Approval Basis 

    @observable
    blnum=""           // \brdgrp\rec\blnum    B/L Number 

    @observable
    disdat=""           // \brdgrp\rec\disdat    Date of Discrepancy Advice 

    @observable
    docflg=""           // \brdgrp\rec\docflg    Usance, Sight or Mixed 

    @observable
    docsta=""           // \brdgrp\rec\docsta    Document Set Status 

    @observable
    expdat=""           // \brdgrp\rec\expdat    Expiry Date of Shipping Guarantee 

    @observable
    igndisflg=""           // \brdgrp\rec\igndisflg    Ignore Discrepancies 

    @observable
    matdat=""           // \brdgrp\rec\matdat    Maturity Date 

    @observable
    nam=""           // \brdgrp\rec\nam    Name of Bill Contract 

    @observable
    ngrcod=""           // \brdgrp\rec\ngrcod    Goods code 

    @observable
    ownref=""           // \brdgrp\rec\ownref    Own Reference BR Number 

    @observable
    rcvdat=""           // \brdgrp\rec\rcvdat    Date of Receipt of Documents 

    @observable
    relgoddat=""           // \brdgrp\rec\relgoddat    Request Date for Release of Goods 

    @observable
    relgodflg=""           // \brdgrp\rec\relgodflg    Release of Goods 

    @observable
    reltyp=""           // \brdgrp\rec\reltyp    Release Type 

    @observable
    rtoaplflg=""           // \brdgrp\rec\rtoaplflg    Release Goods to Applicant ? 

    @observable
    totdat=""           // \brdgrp\rec\totdat    Date to be Paid 

    @observable
    tradat=""           // \brdgrp\rec\tradat    Date of Transport Document 

    @observable
    tramod=""           // \brdgrp\rec\tramod    Mode of Transport 

    @observable
    trpdocnum=""           // \brdgrp\rec\trpdocnum    Transport Document Number 

    @observable
    trpdoctyp=""           // \brdgrp\rec\trpdoctyp    Transport Document Type 

    @observable
    expdat1=""           // \lidgrp\rec\expdat    Date of Expiry 

    @observable
    ownref1=""           // \lidgrp\rec\ownref    Reference 

    @observable
    pts_nam=""           // \brdgrp\apl\pts\nam    客户英文名称 

    @observable
    pts_ref=""           // \brdgrp\apl\pts\ref    参考号 

    @observable
    pts1_nam=""           // \brdgrp\ben\pts\nam    客户英文名称 

    @observable
    pts1_ref=""           // \brdgrp\ben\pts\ref    参考号 

    @observable
    blk_carnam=""           // \brdgrp\blk\carnam    Carrier 

    @observable
    blk_comcon=""           // \brdgrp\blk\comcon    Comments and Conclusions 

    @observable
    blk_delplc=""           // \brdgrp\blk\delplc    Place of Delivery 

    @observable
    blk_docdis=""           // \brdgrp\blk\docdis    Discrepancies 

    @observable
    blk_docdisflg=""           // \brdgrp\blk\docdisflg    discrepancies modified 

    @observable
    blk_notpty=""           // \brdgrp\blk\notpty    Notify Party 

    @observable
    blk_pordis=""           // \brdgrp\blk\pordis    Port of Discharge 

    @observable
    blk_porlod=""           // \brdgrp\blk\porlod    Port of loading 

    @observable
    blk_relstoadr=""           // \brdgrp\blk\relstoadr    Release to Address 

    @observable
    blk_roggod=""           // \brdgrp\blk\roggod    Identification of Goods 

    @observable
    blk_setinsbr=""           // \brdgrp\blk\setinsbr    Settlement Instructions BR 

    @observable
    blk_vesnam=""           // \brdgrp\blk\vesnam    Vessel Name 

    @observable
    blk_voynum=""           // \brdgrp\blk\voynum    Voyage numer 

    @observable
    max_amt=""           // \brdgrp\cbs\max\amt    Balance 

    @observable
    max_cur=""           // \brdgrp\cbs\max\cur    Currency 

    @observable
    opn1_amt=""           // \brdgrp\cbs\opn1\amt    Balance 

    @observable
    opn1_cur=""           // \brdgrp\cbs\opn1\cur    Currency 

    @observable
    pts2_nam=""           // \brdgrp\prb\pts\nam    客户英文名称 

    @observable
    pts2_ref=""           // \brdgrp\prb\pts\ref    参考号 

    @observable
    pts3_adrblk=""           // \brdgrp\rog\pts\adrblk    SWIFT地址 

    @observable
    pts3_extkey=""           // \brdgrp\rog\pts\extkey    客户编号 

    @observable
    brtp_connum=""           // \brtp\connum    Contract Number 

    @observable
    brtp_cre732flg=""           // \brtp\cre732flg    Create MT 732 

    @observable
    brtp_cre752flg=""           // \brtp\cre752flg    Create 752 

    @observable
    docgrdm_docdsclab=""           // \brtp\docgrdm\docdsclab    Label of document description 

    @observable
    brtp_furide=""           // \brtp\furide    MT752: Further Indentification 

    @observable
    matp_mattxtlab=""           // \brtp\matp\mattxtlab    Label for MATTXT 

    @observable
    opn11_amt=""           // \lidgrp\cbs\opn1\amt    Balance 

    @observable
    opn11_cur=""           // \lidgrp\cbs\opn1\cur    Currency 

    @observable
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    setmod_feemac=""           // \setmod\feemac    FEEMAC 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    setmod_setmac=""           // \setmod\setmac    SETMAC 

    @observable
    spt_inr=""           // \sysmod\spt\inr    唯一编号 

    @observable
    trndoc_condocstm=""           // \trnmod\trndoc\condocstm    Connected Documents 

    @observable
    trndoc_cortyp=""           // \trnmod\trndoc\cortyp    Per Medium 

    @observable
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    @observable
    trndoc_doctrestm=""           // \trnmod\trndoc\doctrestm    Document tree 

    @observable
    trndoc_shwinc=""           // \trnmod\trndoc\shwinc    Show Incoming Messages 

    @observable
    trndoc_shwout=""           // \trnmod\trndoc\shwout    Show Outgoing Messages 

    @observable
    trndoc_shwoutint=""           // \trnmod\trndoc\shwoutint    Show Internal Messages 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.advdat=""
            this.advtyp=""
            this.approvcod=""
            this.blnum=""
            this.disdat=""
            this.docflg=""
            this.docsta=""
            this.expdat=""
            this.igndisflg=""
            this.matdat=""
            this.nam=""
            this.ngrcod=""
            this.ownref=""
            this.rcvdat=""
            this.relgoddat=""
            this.relgodflg=""
            this.reltyp=""
            this.rtoaplflg=""
            this.totdat=""
            this.tradat=""
            this.tramod=""
            this.trpdocnum=""
            this.trpdoctyp=""
            this.expdat1=""
            this.ownref1=""
            this.pts_nam=""
            this.pts_ref=""
            this.pts1_nam=""
            this.pts1_ref=""
            this.blk_carnam=""
            this.blk_comcon=""
            this.blk_delplc=""
            this.blk_docdis=""
            this.blk_docdisflg=""
            this.blk_notpty=""
            this.blk_pordis=""
            this.blk_porlod=""
            this.blk_relstoadr=""
            this.blk_roggod=""
            this.blk_setinsbr=""
            this.blk_vesnam=""
            this.blk_voynum=""
            this.max_amt=""
            this.max_cur=""
            this.opn1_amt=""
            this.opn1_cur=""
            this.pts2_nam=""
            this.pts2_ref=""
            this.pts3_adrblk=""
            this.pts3_extkey=""
            this.brtp_connum=""
            this.brtp_cre732flg=""
            this.brtp_cre752flg=""
            this.docgrdm_docdsclab=""
            this.brtp_furide=""
            this.matp_mattxtlab=""
            this.opn11_amt=""
            this.opn11_cur=""
            this.setmod_docamt=""
            this.setmod_doccur=""
            this.setmod_feemac=""
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_setmac=""
            this.spt_inr=""
            this.trndoc_condocstm=""
            this.trndoc_cortyp=""
            this.trndoc_doccod=""
            this.docmod_doclst=[]
            this.trndoc_docpth=""
            this.trndoc_doctrestm=""
            this.trndoc_shwinc=""
            this.trndoc_shwout=""
            this.trndoc_shwoutint=""
    }

} 


export default Brtrop