import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Brtudp {
    
    @observable
    advdat=""           // \brdgrp\rec\advdat    Date of Advice of Payment 

    @observable
    advtyp=""           // \brdgrp\rec\advtyp    Type of Advice Received 

    @observable
    approvcod=""           // \brdgrp\rec\approvcod    Documents on Approval Basis 

    @observable
    disdat=""           // \brdgrp\rec\disdat    Date of Discrepancy Advice 

    @observable
    docflg=""           // \brdgrp\rec\docflg    Usance, Sight or Mixed 

    @observable
    docprbrol=""           // \brdgrp\rec\docprbrol    Presented by 

    @observable
    docsta=""           // \brdgrp\rec\docsta    Document Set Status 

    @observable
    igndisflg=""           // \brdgrp\rec\igndisflg    Ignore Discrepancies 

    @observable
    matdat=""           // \brdgrp\rec\matdat    Maturity Date 

    @observable
    nam=""           // \brdgrp\rec\nam    Name of Bill Contract 

    @observable
    ownref=""           // \brdgrp\rec\ownref    Own Reference BR Number 

    @observable
    payrol=""           // \brdgrp\rec\payrol    Payer 

    @observable
    predat=""           // \brdgrp\rec\predat    Presentation Date 

    @observable
    rcvdat=""           // \brdgrp\rec\rcvdat    Date of Receipt of Documents 

    @observable
    totdat=""           // \brdgrp\rec\totdat    Date to be Paid 

    @observable
    expdat=""           // \lidgrp\rec\expdat    Date of Expiry 

    @observable
    ownref1=""           // \lidgrp\rec\ownref    Reference 

    @observable
    aamset_utlamt=""           // \aamset\utlamt    Doc. Amount utilized/settled 

    @observable
    aamset_utlamt2=""           // \aamset\utlamt2    Add. Amount utilized/settled 

    @observable
    pts_nam=""           // \brdgrp\apl\pts\nam    客户英文名称 

    @observable
    pts_ref=""           // \brdgrp\apl\pts\ref    参考号 

    @observable
    pts1_nam=""           // \brdgrp\ben\pts\nam    客户英文名称 

    @observable
    pts1_ref=""           // \brdgrp\ben\pts\ref    参考号 

    @observable
    blk_comcon=""           // \brdgrp\blk\comcon    Comments and Conclusions 

    @observable
    blk_docdis=""           // \brdgrp\blk\docdis    Discrepancies 

    @observable
    blk_docdisflg=""           // \brdgrp\blk\docdisflg    discrepancies modified 

    @observable
    blk_setinsbr=""           // \brdgrp\blk\setinsbr    Settlement Instructions BR 

    @observable
    max_amt=""           // \brdgrp\cbs\max\amt    Balance 

    @observable
    max_cur=""           // \brdgrp\cbs\max\cur    Currency 

    @observable
    opn1_amt=""           // \brdgrp\cbs\opn1\amt    Balance 

    @observable
    opn1_cur=""           // \brdgrp\cbs\opn1\cur    Currency 

    @observable
    opn2_cur=""           // \brdgrp\cbs\opn2\cur    Currency 

    @observable
    pts2_adrblk=""           // \brdgrp\prb\pts\adrblk    SWIFT地址 

    @observable
    pts2_extkey=""           // \brdgrp\prb\pts\extkey    客户编号 

    @observable
    pts2_nam=""           // \brdgrp\prb\pts\nam    客户英文名称 

    @observable
    pts2_ref=""           // \brdgrp\prb\pts\ref    参考号 

    @observable
    brtp_cre732flg=""           // \brtp\cre732flg    Create MT 732 

    @observable
    brtp_cre752flg=""           // \brtp\cre752flg    Create 752 

    @observable
    docgrdm_docdsclab=""           // \brtp\docgrdm\docdsclab    Label of document description 

    @observable
    brtp_furide=""           // \brtp\furide    MT752: Further Indentification 

    @observable
    matp_mattxtlab=""           // \brtp\matp\mattxtlab    Label for MATTXT 

    @observable
    pts3_adrblk=""           // \brtp\oth\pts\adrblk    SWIFT地址 

    @observable
    pts3_extkey=""           // \brtp\oth\pts\extkey    客户编号 

    @observable
    liaall_liaallg=[]           // \liaall\liaallg 

    @observable
    liaccv_chgamt=""           // \liaall\liaccv\chgamt    变动金额 

    @observable
    liaccv_concur=""           // \liaall\liaccv\concur    业务结算币种 

    @observable
    liaccv_cshpct=""           // \liaall\liaccv\cshpct    保证金应收比例 

    @observable
    liaccv_liaccvg=[]           // \liaall\liaccv\liaccvg 

    @observable
    liaccv_newamt=""           // \liaall\liaccv\newamt    业务金额 

    @observable
    liaccv_pctresamt=""           // \liaall\liaccv\pctresamt    应收/支保证金 

    @observable
    liaccv_relcshpct=""           // \liaall\liaccv\relcshpct    保证金实收比例 

    @observable
    liaccv_totcovamt=""           // \liaall\liaccv\totcovamt    保证金合计 

    @observable
    opn11_amt=""           // \lidgrp\cbs\opn1\amt    Balance 

    @observable
    opn11_cur=""           // \lidgrp\cbs\opn1\cur    Currency 

    @observable
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    setmod_feemac=""           // \setmod\feemac    FEEMAC 

    @observable
    glemod_glelst=[]           // \setmod\glemod\glelst 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    setmod_setmac=""           // \setmod\setmac    SETMAC 

    @observable
    spt_inr=""           // \sysmod\spt\inr    唯一编号 

    @observable
    trndoc_cortyp=""           // \trnmod\trndoc\cortyp    Per Medium 

    @observable
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.advdat=""
            this.advtyp=""
            this.approvcod=""
            this.disdat=""
            this.docflg=""
            this.docprbrol=""
            this.docsta=""
            this.igndisflg=""
            this.matdat=""
            this.nam=""
            this.ownref=""
            this.payrol=""
            this.predat=""
            this.rcvdat=""
            this.totdat=""
            this.expdat=""
            this.ownref1=""
            this.aamset_utlamt=""
            this.aamset_utlamt2=""
            this.pts_nam=""
            this.pts_ref=""
            this.pts1_nam=""
            this.pts1_ref=""
            this.blk_comcon=""
            this.blk_docdis=""
            this.blk_docdisflg=""
            this.blk_setinsbr=""
            this.max_amt=""
            this.max_cur=""
            this.opn1_amt=""
            this.opn1_cur=""
            this.opn2_cur=""
            this.pts2_adrblk=""
            this.pts2_extkey=""
            this.pts2_nam=""
            this.pts2_ref=""
            this.brtp_cre732flg=""
            this.brtp_cre752flg=""
            this.docgrdm_docdsclab=""
            this.brtp_furide=""
            this.matp_mattxtlab=""
            this.pts3_adrblk=""
            this.pts3_extkey=""
            this.liaall_liaallg=[]
            this.liaccv_chgamt=""
            this.liaccv_concur=""
            this.liaccv_cshpct=""
            this.liaccv_liaccvg=[]
            this.liaccv_newamt=""
            this.liaccv_pctresamt=""
            this.liaccv_relcshpct=""
            this.liaccv_totcovamt=""
            this.opn11_amt=""
            this.opn11_cur=""
            this.setmod_docamt=""
            this.setmod_doccur=""
            this.setmod_feemac=""
            this.glemod_glelst=[]
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_setmac=""
            this.spt_inr=""
            this.trndoc_cortyp=""
            this.trndoc_doccod=""
            this.docmod_doclst=[]
            this.trndoc_docpth=""
    }

} 


export default Brtudp