import React, { Component, Fragment } from 'react'
import {
	Page, Validator, Notification, FormItem, BottomBtn,CheckboxItem1,
	InputItem, Input, Bind, SelectItem, Button, Label, DatePickerItem, Section, ConfirmButton, Steps, TextAreaItem
} from '@/components/Common-Library'
import Api from '@/service/api'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'
import { Row, Col, Popconfirm, Modal, Spin } from 'antd';
import { PtyPicker } from '@/components/Business-Library'
import { Link, withRouter } from 'react-router-dom'
import Ptspta from '@/views/Public/Ptspta'
import Business from '@/views/Public/Business'
import Ptspta1 from '@/views/Public/Ptspta1'

const { Pre, Next, StepWrapper } = Steps
const CodeTable = CodeTableFactory.getInstance()
const confirm = Modal.confirm

@withRouter
@inject('UserContext')
@inject('i18n')
@observer
export default class GetamcScreen extends Page {
	@observable
	formBlur = false

	constructor(props) {
		super(props)
		this.model = props.model
		this.bind = Bind.bind(this)
	}
	Checkboxchange=(type,value)=>{
        console.log(value)
        if(value){
            this.model[type]='0'
        }else{
            this.model[type]='1'
        }
    }

	//交易内实现
	renderPage() {
		const bind = this.bind
		const { i18n } = this.props
		const { bchlevelLst } = this.props.extra
        //const {next,pre} = this.props.steps
        bind("pts_namcn")
		bind("pts5_namcn")
		bind("pts2_namcn")
		bind("pts6_namcn")
		if (this.props.flag == true) {
			return <Spin style={{ width: "100%", justifyContent: "center" }} spinning={this.props.flag} />
		}
		return (
			<div style={{ position: 'relative' }}>
            <Business  wrappedComponentRef={ref => (this.com = ref)} page={this} steps={this.props.steps} extra={this.props.extra}  model={this.model} />
				{/* 第1行 */}
				<Row>
					{/* 第1行第1列 */}
					<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								<Label itext="Document tree" trn="getamc" />							
							</Col>
							<Col span={14} >
								<InputItem InputProps={bind("trndoc_doctrestm")}   desp="Document tree" path="/trnmod/trndoc/doctrestm" style="width:100px;height:50px;"/>
							</Col>											
						</Row>
					</Col>
					<Col span={12}>
					<Row className="row">
							<Col span={5} offset={2}>
								{/* <Label itext="Connected Documents" trn="getamc" />	 */}
								<Label itext="C Dmts" trn="getamc" />	
							</Col>
							<Col span={14} >
								<InputItem InputProps={bind("trndoc_condocstm")}   desp="Connected Documents" path="/trnmod/trndoc/condocstm" />
							</Col>											
						</Row>
					</Col>
				</Row>

				{/* 第2行 */}
				<Row>
				<Col span={12}>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* <Label itext="Show Incoming Messages" trn="getamc" /> */}
								<Label itext="S Icm Msg" trn="getamc" />								
							</Col>
							<Col span={14} >
							<CheckboxItem1 onChange={(value)=>this.Checkboxchange("trndoc_shwinc",value)} InputProps={bind("trndoc_shwinc")}  desp="Show Incoming Messages" path="/trnmod/trndoc/shwinc" />							
							</Col>											
						</Row>
						<Row className="row">
							<Col span={5} offset={2}>
								{/* <Label itext="Show Internal Messages" trn="getamc" />							 */}
								<Label itext="S Itl Msg" trn="getamc" />	
							</Col>
							<Col span={14} >
							<CheckboxItem1 onChange={(value)=>this.Checkboxchange("trndoc_shwoutint",value)} InputProps={bind("trndoc_shwoutint")}  desp="Show Internal Messages" path="/trnmod/trndoc/shwoutint" />							
							</Col>											
						</Row>

					</Col>
					<Col span={12}>
					<Row className="row">
							<Col span={5} offset={2}>
								{/* <Label itext="Show Outgoing Messages" trn="getamc" />							 */}
								<Label itext="S Otg Msg" trn="getamc" />	
							</Col>
							<Col span={14} >
								<CheckboxItem1 onChange={(value)=>this.Checkboxchange("trndoc_shwout",value)} InputProps={bind("trndoc_shwout")}  desp="Show Outgoing Messages" path="/trnmod/trndoc/shwout" />							
							</Col>											
						</Row>
					</Col>
				</Row>
				

			
			

				{/* 底部按钮 */}
                <BottomBtn _this={this} />
			</div >
		)
	}
}
