import React, { Component, Fragment } from 'react'
import {
    Page, Validator, Notification, FormItem, DatePickerItem, TextAreaItem, CheckboxItem, Checkbox,
    InputItem, Input, Bind, SelectItem, Button, Label, Image, Table, Steps
} from '@/components/Common-Library'
import Api from '@/service/api'
import mGetame from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable } from 'mobx'


import { Card } from 'antd'
import DateFormat from '@/utils/DateUtil'
import Engp from '@/views/Public/Engp'

import Fee from '@/views/Public/Fee'
import Gle from '@/views/Public/Gle'
import Papper from '@/views/Public/Papper'
import Basic from './Basic'
import Fujia from './fujia'
import Fujia2 from './fujia2'

const CodeTable = CodeTableFactory.getInstance()
const StepItem = Steps.Item


@inject('UserContext')
@inject('i18n')
@observer
export default class GetselScreen extends Page {
    @observable
    formBlur = false

    @observable
    extra = { inifrm: 'getame', sptinr: '', oldinr: '', bchlevelLst: [] }



    constructor(props) {
        super(props)
        this.state = {
            flag: true
        }
        this.model = new mGetame()
    }

    async componentWillMount() {
        let gidinr = '';

        if (this.props.location.query) {
            // if (this.props.location.query.from == "sptsel") {
            //     this.extra.sptinr = this.props.location.query.sptinr;
            // } else {
                gidinr = this.props.location.query.gidinr;
            // }
        }
        const rtnmsg = await Api.post(this.extra.inifrm + '/init', { params: { gidinr: gidinr } })
        if (rtnmsg.retcod == SUCCESS) {
            Object.assign(this.model, rtnmsg.data)
            this.extra.bchlevelLst = rtnmsg.codetable.ownbch;
            this.extra.oldinr = gidinr ;
            this.setState({ flag: false })
            this.model.max_cur="CNY"
        }
        else {
            Notification.error({ message: '服务端请求失败!' })
        }
        //快照模式下，不必开启校验，否则，静默校验，和记录变动
        !this.loadDisplay() && this.model.openMonitor && this.model.openMonitor() //开启校验	
    }
    componentWillUnmount() {
        this.model.stopMonitor && this.model.stopMonitor()//关闭校验
    }


    //交易内实现
    renderPage() {
        return (
            <Card title="出口包含修改" size="small" className="transTitle">
                <Steps>


                    <StepItem title="修改确认">
                        <Basic model={this.model} extra={this.extra}></Basic>
                    </StepItem>
                    <StepItem title="附加">
                        <Fujia model={this.model} extra={this.extra}></Fujia>
                    </StepItem>
                    <StepItem title="附加2">
                        <Fujia2 model={this.model} extra={this.extra}></Fujia2>
                    </StepItem>
                    <StepItem title="表外&保证金">
                        <Engp model={this.model} extra={this.extra}></Engp>
                    </StepItem>
                    <StepItem title="费用&账务">
                        <Fee model={this.model} extra={this.extra}></Fee>
                    </StepItem>
                    <StepItem title="会计分录">
                        <Gle model={this.model} extra={this.extra}></Gle>
                    </StepItem>
                    <StepItem title="面函">
                        <Papper model={this.model} extra={this.extra}></Papper>
                    </StepItem>
                </Steps>



            </Card>
        )

    }
}
