import React,{Component,Fragment} from 'react'
import PropTypes from 'prop-types'
import {Page,Validator,Notification,FormItem,DatePickerItem,TextAreaItem,CheckboxItem,Checkbox,
    InputItem,Input,Bind,SelectItem,Button,Label,Image,Table,Steps} from '@/components/Common-Library'
import Api from '@/service/api'
import mGetfee from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"  
import { inject, observer } from 'mobx-react'
import { action, observable,runInAction } from 'mobx'
import Basic from './Basic'
import Fee from '@/views/Public/Fee'
import Gle from '@/views/Public/Gle'
import Papper from '@/views/Public/Papper'
import { Card } from 'antd'


const CodeTable = CodeTableFactory.getInstance()
const StepItem = Steps.Item


@inject('UserContext')
@inject('i18n')
@observer
export default class GetfeeScreen extends Page
{
    @observable
	formBlur = false

	@observable
	extra = { inifrm: 'Getfee', sptinr: '',oldinr:'', bchlevelLst: [] }



	constructor(props) {
		super(props)
		this.state = {
			flag: true
		}
		this.model = new mGetfee()
	}
	
	
	async componentWillMount() {
		let gedinr = '';
		
		if (this.props.location.query) {
			if(this.props.location.query.from=="sptsel"){
				this.extra.sptinr=this.props.location.query.sptinr;
			  }else{
				gedinr=this.props.location.query.gedinr;
			  }
			}
			const rtnmsg = await Api.post(this.extra.inifrm + '/init', { params: { sptinr:this.extra.sptinr,gedinr } })
		if (rtnmsg.retcod == SUCCESS) {
			Object.assign(this.model, rtnmsg.data)
			this.extra.bchlevelLst = rtnmsg.codetable.ownbch;
			this.extra.oldinr=this.model.inr;
			
			this.setState({ flag: false })
		}
		else {
			Notification.error({ message: '服务端请求失败!' })
		}

		//快照模式下，不必开启校验，否则，静默校验，和记录变动
		!this.loadDisplay() && this.model.openMonitor() //开启校验	
	}
    componentWillUnmount()
    {
        this.model.stopMonitor()//关闭校验
    }

    
    

    //交易内实现
    renderPage(){
    	const bind = this.bind
        const {i18n} = this.props
             
        return (

			<Card title="出口保函收费" size="small" className="transTitle">
				<Steps>
					<StepItem title="收费">
						<Basic model={this.model} extra={this.extra} flag={this.state.flag} />
					</StepItem>

					<StepItem title="费用">
						<Fee model={this.model} extra={this.extra}   />
					</StepItem>
					<StepItem title="会计分录">
						<Gle model={this.model} extra={this.extra}   flag={this.state.flag}/>
					</StepItem>

					<StepItem title="面函">
						<Papper model={this.model} extra={this.extra}  flag={this.state.flag}/>
					</StepItem>
				

				</Steps>
			</Card>
    //     	<div className="transPage">

	
	//  <Label itext="Reference" trn="getfee" />	
	// <InputItem InputProps={bind("ownref")}  maxLength={16}  desp="Reference" path="/gidgrp/rec/ownref" />

	
	// <Label itext="Name" trn="getfee" />	
	// <InputItem InputProps={bind("nam")}  maxLength={40}  desp="Externally Displayed Name to Identify the Contract" path="/gidgrp/rec/nam" />

	
	// <Label itext="Applicant" trn="getfee" />	

	
	// <Label itext="Guarantee Amount" trn="getfee" />	
	// <InputItem InputProps={bind("max_cur")}  maxLength={3}  desp="Currency" path="/gidgrp/cbs/max/cur" />
	// <InputItem InputProps={bind("max_amt")}   desp="Balance" path="/gidgrp/cbs/max/amt" />
	// <Label value={this.model.gitp0_aplmullab}   desp="Label, that is set, if there are multiple applicants" path="/gitp0/aplmullab" />
	// <InputItem InputProps={bind("pts1_nam")}  maxLength={100}  desp="客户英文名称" path="/gidgrp/apl/pts/nam" />

	
	// <Label itext="Open Amount" trn="getfee" />	
	// <InputItem InputProps={bind("opn1_cur")}  maxLength={3}  desp="Currency" path="/gidgrp/cbs/opn1/cur" />
	// <InputItem InputProps={bind("opn1_amt")}   desp="Balance" path="/gidgrp/cbs/opn1/amt" />

	
	// <Label itext="Beneficiary" trn="getfee" />	

	
	// <Label itext="Handling Type" trn="getfee" />	
	// <SelectItem InputProps={bind("hndtyp")} code={CodeTable.hndtyp}  desp="Handling Type" path="/gidgrp/rec/hndtyp"/>
	// <InputItem InputProps={bind("pts2_nam")}  maxLength={100}  desp="客户英文名称" path="/gidgrp/ben/pts/nam" />

	
	// <Label itext="Adv\Rcv Bank" trn="getfee" />	

	
	// <Label itext="Type of Undertaking" trn="getfee" />	
	// <SelectItem InputProps={bind("gartyp")} code={CodeTable.typgar}  desp="Type of Undertaking" path="/gidgrp/rec/gartyp"/>
	// <InputItem InputProps={bind("pts_nam")}  maxLength={100}  desp="客户英文名称" path="/gidgrp/adv/pts/nam" />
	// <Label value={this.model.gitp0_expfldlab}   desp="Label for Field Validity" path="/gitp0/expfldlab" />
	// <DatePickerItem InputProps={bind("expdat")}  desp="Valid until" path="/gidgrp/rec/expdat" />

	
	// <Label itext="Issuing Bank" trn="getfee" />	
	// <Label value={this.model.gitp0_liafldlab}   desp="Label for Field Lability" path="/gitp0/liafldlab" />
	// <DatePickerItem InputProps={bind("liadat")}  desp="Liability until" path="/gidgrp/rec/liadat" />
	// <InputItem InputProps={bind("pts3_nam")}  maxLength={100}  desp="客户英文名称" path="/gidgrp/iss/pts/nam" />
	// <CheckboxItem InputProps={bind("intmbu_umbflg")}  desp="Internal Transfer Y/N" path="/xxtfee/intmbu/umbflg" />

	
	// <Label itext="Business Sector" trn="getfee" />	
	// <SelectItem InputProps={bind("intmbu_othbussec")} code={CodeTable.bustxt}  desp="Business Sector" path="/xxtfee/intmbu/othbussec"/>

	
	// <Label itext="结算金额" trn="getfee" />	
	// <SelectItem InputProps={bind("setmod_doccur")} code={CodeTable.curtxt}  desp="document currency" path="/setmod/doccur"/>
	// <InputItem InputProps={bind("setmod_docamt")}   desp="document amount" path="/setmod/docamt" />
	// <Button  type="primary"  onClick={this.onSetmod_feedet} desp="重算金额" path="/setmod/feedet">
	// 	<Label   itext="重算金额"/>
	// </Button>

	
	// <Label itext="FEEMAC" trn="getfee" />	
	// <InputItem InputProps={bind("setmod_feemac")}  maxLength={200}  desp="FEEMAC" path="/setmod/feemac" />
	// <Button  type="primary"  onClick={this.onSetmod_ast} desp="加载账务" path="/setmod/ast">
	// 	<Label   itext="加载账务"/>
	// </Button>

	
	// <Label itext="SETMAC" trn="getfee" />	
	// <InputItem InputProps={bind("setmod_setmac")}  maxLength={200}  desp="SETMAC" path="/setmod/setmac" />
	// <Button  type="primary"  onClick={this.onSetmod_recal} desp="重算账务" path="/setmod/recal">
	// 	<Label   itext="重算账务"/>
	// </Button>

	
	// <Label itext="费用明细" trn="getfee" />	
	// <Table rowKey="inr" columns={this.fegmod_feslstHeader}  dataSource={this.model.fegmod_feslst}   path="/setmod/setfeg/fegmod/feslst"/>

	
	// <Label itext="账务明细" trn="getfee" />	
	// <Table rowKey="inr" columns={this.glgmod_glslstHeader}  dataSource={this.model.glgmod_glslst}   path="/setmod/setglg/glgmod/glslst"/>

	
	// <Label itext="会计分录" trn="getfee" />	
	// <Button  type="primary"  onClick={this.onGlemod_rebook} desp="分录加载" path="/setmod/glemod/rebook">
	// 	<Label   itext="分录加载"/>
	// </Button>
	// <Table rowKey="inr" columns={this.glemod_glelstHeader}  dataSource={this.model.glemod_glelst}   path="/setmod/glemod/glelst"/>

	
	// <Label itext="面函码值" trn="getfee" />	
	// <InputItem InputProps={bind("trndoc_doccod")}  maxLength={16}  desp="面函码值" path="/trnmod/trndoc/doccod" />

	
	// <Label itext="Per Medium" trn="getfee" />	
	// <InputItem InputProps={bind("trndoc_cortyp")}  maxLength={3}  desp="Per Medium" path="/trnmod/trndoc/cortyp" />
	// <Button  type="primary"  onClick={this.onTrndoc_reldoc} desp="面函加载" path="/trnmod/trndoc/reldoc">
	// 	<Label   itext="面函加载"/>
	// </Button>
	// <Button  type="primary"  onClick={this.onTrndoc_butshw} desp="show doc." path="/trnmod/trndoc/butshw">
	// 	<Label   itext="展示"/>
	// </Button>

	
	// <Label itext="面函路径" trn="getfee" />	
	// <InputItem InputProps={bind("trndoc_docpth")}  maxLength={100}  desp="面函路径" path="/trnmod/trndoc/docpth" />
	// <Table rowKey="inr" columns={this.docmod_doclstHeader}  dataSource={this.model.docmod_doclst}   path="/trnmod/trndoc/docmod/doclst"/>

	
	// <Label itext="唯一编号" trn="getfee" />	
	// <InputItem InputProps={bind("spt_inr")}  maxLength={8}  desp="唯一编号" path="/sysmod/spt/inr" />

	
	// <Label itext="A" trn="getfee" />	
	// <InputItem InputProps={bind("trndoc_doctrestm")}   desp="Document tree" path="/trnmod/trndoc/doctrestm" />
	// <Button  type="primary"  onClick={this.onTrndoc_butadd} desp="Details" path="/trnmod/trndoc/butadd">
	// 	<Label   itext="B"/>
	// </Button>
	// <Button  type="primary"  onClick={this.onTrndoc_butnew} desp="New Entry" path="/trnmod/trndoc/butnew">
	// 	<Label   itext="C"/>
	// </Button>
	// <Button  icon="delete" onClick={this.onTrndoc_butdel} desp="Delete Entry" path="/trnmod/trndoc/butdel">
	// 	<Label   itext="D"/>
	// </Button>
	// <CheckboxItem InputProps={bind("trndoc_shwinc")}  desp="Show Incoming Messages" path="/trnmod/trndoc/shwinc" />
	// <CheckboxItem InputProps={bind("trndoc_shwout")}  desp="Show Outgoing Messages" path="/trnmod/trndoc/shwout" />
	// <CheckboxItem InputProps={bind("trndoc_shwoutint")}  desp="Show Internal Messages" path="/trnmod/trndoc/shwoutint" />
	// <Button  type="primary"  onClick={this.onTrndoc_butatt} desp="Attach" path="/trnmod/trndoc/butatt">
	// 	<Label   itext="E"/>
	// </Button>
	// <InputItem InputProps={bind("trndoc_condocstm")}   desp="Connected Documents" path="/trnmod/trndoc/condocstm" />
	// <Button  type="primary" icon="save"
	// 	  onClick={this.onSav} desp="Save" path="/mtabut/sav">
	// 	<Label   itext="提交"/>
	// </Button>
	// <Button  type="primary"  onClick={this.onChk} desp="Check" path="/mtabut/chk">
	// 	<Label   itext="检核"/>
	// </Button>
	// <Button  type="primary"  onClick={this.onPed} desp="暂存" path="/mtabut/ped">
	// 	<Label   itext="暂存"/>
	// </Button>
	// <Button  type="primary"  onClick={this.onExi} desp="Exit" path="/mtabut/exi">
	// 	<Label   itext="退出"/>
	// </Button>
	// 	</div> 
		)
	}
}
