import React,{Component,Fragment} from 'react'
import PropTypes from 'prop-types'
import {Page,Validator,Notification,FormItem,DatePickerItem,TextAreaItem,CheckboxItem,Checkbox,
    InputItem,Input,Bind,SelectItem,Button,Label,Image,Table,BottomBtn} from '@/components/Common-Library'
import Api from '@/service/api'
import mGitadd from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable,runInAction } from 'mobx'
import {Row ,Col} from 'antd'
import Ptspta2 from '@/views/Public/Ptspta2'


const CodeTable = CodeTableFactory.getInstance()


@inject('UserContext')
@inject('i18n')
@observer
export default class GitaddScreen extends Page
{
    static childContextTypes = {
        trn: PropTypes.string,
    }
    getChildContext () {
        return {trn:'gitadd'}
    }
    
    
    @observable
    formBlur=false

    constructor(props)
    {
        super(props)
        this.model = new mGitadd()    
        this.bind = Bind.bind(this)
    }
    
    //交易内实现
    renderPage(){
        const bind = this.bind
        const {i18n} = this.props
             
        return (
            <div className="transPage">
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Confirmation Status" trn="gitadd" />  
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("cnfsta")} code={CodeTable.cnfsta}  desp="Confirmation Status" path="/gidgrp/rec/cnfsta"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Confirmation Amount" trn="gitadd" />  
                            </Col>
                            <Col span={3}>
                                <InputItem InputProps={bind("cnf_cur")}  maxLength={3}  desp="Currency" path="/gidgrp/cbs/cnf/cur" />
                            </Col>
                            <Col span={4} offset={1}>
                                <InputItem InputProps={bind("cnf_amt")}   desp="Balance" path="/gidgrp/cbs/cnf/amt" />
                            </Col>
                            <Col span={1} style={{marginLeft:12}}>
                                <Label itext="or" trn="gitadd" />   
                            </Col>
                            <Col span={4}>
                                <InputItem InputProps={bind("partcon")}   desp="Partial Confirmation" path="/gidgrp/rec/partcon" />
                            </Col>
                            <Col span={1} style={{marginLeft:12}}>
                                <Label itext="%" trn="gitadd" />    
                            </Col>
                        </Row>
                    </Col>
                </Row>  

                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Confirmed on" trn="gitadd" /> 
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("cnfdat")}  desp="Confirmation Date" path="/gidgrp/rec/cnfdat" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Confirming Bank's Ref.   " trn="gitadd" />    
                            </Col>
                            <Col span={6}>
                                <InputItem InputProps={bind("pts3_ref")}  maxLength={16}  desp="参考号" path="/gidgrp/con/pts/ref" />
                            </Col>
                            <Col span={7} offset={1}>
                                <InputItem InputProps={bind("pts4_ref")}  maxLength={16}  desp="参考号" path="/gidgrp/iss/pts/ref" />
                            </Col>
                        </Row>
                    </Col>
                </Row>                  
                                {/* <Label itext="Confirming Bank" trn="gitadd" />   */}
                <Row>
                    <Col span={12}>
                        {/* <Row className="row">
                            <Col span={16} offset={2}>
                                <InputItem InputProps={bind("pts3_extkey")}  maxLength={16}  desp="客户编号" path="/gidgrp/con/pts/extkey" />
                            </Col>
                            <Col span={2} offset={1}>
                                <Button  type="primary" icon="search" onClick={this.onConp_sel} desp="查询" path="/gitp/conp/sel">
                                    <Label   itext="查询"/>
                                </Button>
                            </Col>
                        </Row> */}
                        <Ptspta2 model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址", prefix: 'pts3', url: 'gitadd/conp_sel', flg: 'C', datakey: '' }} formBlur={this.formBlur}/>
                    </Col>
                    <Col span={12}>
                        {/* <Row className="row">
                            <Col span={16} offset={2}>
                                <InputItem InputProps={bind("pts4_extkey")}  maxLength={16}  desp="客户编号" path="/gidgrp/iss/pts/extkey" />
                            </Col>
                            <Col span={2} offset={1}>
                                <Button  type="primary" icon="search" onClick={this.onIssp_sel} desp="查询" path="/gitp/issp/sel">
                                    <Label   itext="查询"/>
                                </Button>
                            </Col>
                        </Row> */}
                        <Ptspta2 model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址", prefix: 'pts4', url: 'gitadd/issp_sel', flg: 'C', datakey: '' }} formBlur={this.formBlur}/>
                    </Col>
                </Row> 
                                
                {/* <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={19} offset={2}>
                                <TextAreaItem InputProps={bind("pts3_adrblk")} desp="SWIFT地址" path="/gidgrp/con/pts/adrblk"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={19} offset={2}>
                                <TextAreaItem InputProps={bind("pts4_adrblk")} desp="SWIFT地址" path="/gidgrp/iss/pts/adrblk"/>
                            </Col>
                        </Row>
                    </Col>
                </Row>        */}
                {/* 底部按钮 */}
                <BottomBtn _this={this} />                   
        </div>
        )
    }
}
