import React,{Component,Fragment} from 'react'
import PropTypes from 'prop-types'
import {Page,Validator,Notification,FormItem,DatePickerItem,TextAreaItem,CheckboxItem,Checkbox,
    InputItem,Input,Bind,SelectItem,Button,Label,Image,Table,BottomBtn} from '@/components/Common-Library'
import Api from '@/service/api'
import mGitcrj from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable,runInAction } from 'mobx'
import {Row ,Col} from 'antd'
import Ptspta2 from '@/views/Public/Ptspta2'


const CodeTable = CodeTableFactory.getInstance()


@inject('UserContext')
@inject('i18n')
@observer
export default class GitcrjScreen extends Page
{
    static childContextTypes = {
        trn: PropTypes.string,
    }
    getChildContext () {
        return {trn:'gitcrj'}
    }
    
    
    @observable
    formBlur=false

    constructor(props)
    {
        super(props)
        this.model = new mGitcrj()    
        this.bind = Bind.bind(this)
    }
	
    //交易内实现
    renderPage(){
    	const bind = this.bind
        const {i18n} = this.props
             
        return (
        	<div style={{ position: 'relative' }}>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Guarantee" trn="gitcrj" />    
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("ownref1")}  maxLength={16}  desp="Reference" path="/gidgrp/rec/ownref" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Open Amount" trn="gitcrj" />  
                            </Col>
                            <Col span={6}>
                                <InputItem InputProps={bind("opn11_cur")}  maxLength={3}  desp="Currency" path="/gidgrp/cbs/opn1/cur" />
                            </Col>
                            <Col span={7} offset={1}>
                                <InputItem InputProps={bind("opn11_amt")}   desp="Balance" path="/gidgrp/cbs/opn1/amt" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                            	{/* <Label value={this.model.gctp_expfldlab}   desp="Label for Field Validity" path="/gctp/expfldlab" />
                            	<Label value={this.model.gctp_explab}   desp="Label unlimited Validity" path="/gctp/explab" /> */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                            <Label itext="Valid until" trn="gitcrj" /> 
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("expdat")}  desp="Valid until" path="/gidgrp/rec/expdat" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Name" trn="gitcrj" /> 
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("nam")}  maxLength={40}  desp="Externally Displayed Name to Identify the Contract" path="/gcdgrp/rec/nam" />
                            </Col>
                        </Row>
                    </Col>
                </Row>

                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Claim Number" trn="gitcrj" /> 
                            </Col>
                            <Col span={11}>
                                <InputItem InputProps={bind("ownref")}  maxLength={16}  desp="Reference" path="/gcdgrp/rec/ownref" />
                            </Col>
                            <Col span={2} offset={1}>
                                <Button  type="primary"  onClick={this.onGetref} desp="Get Ref." path="/mtabut/getref">
                                    <Label   itext="获取"/>
                                </Button>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Ref." trn="gitcrj" /> 
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts_ref")}  maxLength={16}  desp="参考号" path="/gcdgrp/apl/pts/ref" />
                            </Col>
                        </Row>
                    </Col>
                </Row>            	
                            	{/* <Label itext="Applicant" trn="gitcrj" />	 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Amount Claimed" trn="gitcrj" />   
                            </Col>
                            <Col span={6}>
                                <SelectItem InputProps={bind("max_cur")} code={CodeTable.curtxt}  desp="Currency" path="/gcdgrp/cbs/max/cur"/>
                            </Col>
                            <Col span={7} offset={1}>
                                <InputItem InputProps={bind("max_amt")}   desp="Balance" path="/gcdgrp/cbs/max/amt" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Add. Amount" trn="gitcrj" />
                            </Col>
                            <Col span={14}>
                                <CheckboxItem InputProps={bind("gctp_adaflg")}  desp="Add. Amount" path="/gctp/adaflg" />
                            </Col>
                        </Row>
                    </Col>
                </Row> 
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="客户英文名称" trn="gitcrj" />   
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts_nam")}  maxLength={100}  desp="客户英文名称" path="/gcdgrp/apl/pts/nam" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Open Amount" trn="gitcrj" />  
                            </Col>
                            <Col span={6}>
                                <SelectItem InputProps={bind("opn1_cur")} code={CodeTable.curtxt}  desp="Currency" path="/gcdgrp/cbs/opn1/cur"/>
                            </Col>
                            <Col span={7} offset={1}>
                                <InputItem InputProps={bind("opn1_amt")}   desp="Balance" path="/gcdgrp/cbs/opn1/amt" />
                            </Col>
                        </Row>
                    </Col>
                </Row> 
                            	
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Type of Undertaking" trn="gitcrj" />
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("gartyp")} code={CodeTable.typgar}  desp="Type of Undertaking" path="/gidgrp/rec/gartyp"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Ref." trn="gitcrj" /> 
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts1_ref")}  maxLength={16}  desp="参考号" path="/gcdgrp/ben/pts/ref" />
                            </Col>
                        </Row>
                    </Col>
                </Row> 
                            	{/* <Label itext="Type of Undertaking" trn="gitcrj" />	
                            	<Label itext="Beneficiary" trn="gitcrj" />	 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Liability until" trn="gitcrj" /> 
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("liadat")}  desp="Liability until" path="/gidgrp/rec/liadat" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="客户英文名称" trn="gitcrj" /> 
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts1_nam")}  maxLength={100}  desp="客户英文名称" path="/gcdgrp/ben/pts/nam" />
                            </Col>
                        </Row>
                    </Col>
                </Row>                            	
                            	{/* <Label value={this.model.gctp_liafldlab}   desp="Label for Field Liability" path="/gctp/liafldlab" />
                            	<Label value={this.model.gctp_lialab}   desp="Label unlimited Liability" path="/gctp/lialab" /> */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Date of Claim" trn="gitcrj" />    
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("clmdat")}  desp="Date of Claim" path="/gcdgrp/rec/clmdat" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Close Flag" trn="gitcrj" /> 
                            </Col>
                            <Col span={14}>
                                <CheckboxItem InputProps={bind("mtabut_clsflg")}  desp="Close Flag" path="/mtabut/clsflg" />
                            </Col>
                        </Row>
                    </Col>
                </Row>            	
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Presented by" trn="gitcrj" /> 
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("docprbrol")}   desp="Presented by" path="/gcdgrp/rec/docprbrol"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Presented by" trn="gitcrj" /> 
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("docprbrol")}   desp="Presented by" path="/gcdgrp/rec/docprbrol"/>
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Message Date" trn="gitcrj" /> 
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("msgdat")}  desp="Rejection Message Date" path="/gcdgrp/rec/msgdat" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Reference" trn="gitcrj" />    
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts3_ref")}  maxLength={16}  desp="参考号" path="/gcdgrp/prb/pts/ref" />
                            </Col>
                        </Row>
                    </Col>
                </Row>     
                            	
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Reason of Rejection" trn="gitcrj" />  
                            </Col>
                            <Col span={14}>
                                <TextAreaItem InputProps={bind("strinf")} desp="Narrative" path="/strinf"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Payer" trn="gitcrj" />    
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("payrol")}   desp="Payer" path="/gcdgrp/rec/payrol"/>
                            </Col>
                        </Row>
                    </Col>
                </Row>   
                            	
                <Row>
                    <Col span={12}>
                        {/* <Row className="row">
                            <Col span={15} offset={2}>
                                <InputItem InputProps={bind("pts3_extkey")}  maxLength={16}  desp="客户编号" path="/gcdgrp/prb/pts/extkey" />
                            </Col>
                            <Col span={3} offset={1}>
                                <Button  type="primary" icon="search" onClick={this.onPrbp_sel} desp="查询" path="/gctp/prbp/sel">
                                    <Label   itext="查询"/>
                                </Button>
                            </Col>
                        </Row> */}
                        <Ptspta2 model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址", prefix: 'pts3', url: 'gitcrj/prbp_sel', flg: 'C', datakey: '' }} formBlur={this.formBlur}/>
                    </Col>
                    <Col span={12}>
                        <Ptspta2 model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址", prefix: 'pts2', url: 'gitcrj/othp_sel', flg: 'C', datakey: '' }} formBlur={this.formBlur}/>
                        {/* <Row className="row">
                            <Col span={15} offset={2}>
                                <InputItem InputProps={bind("pts2_extkey")}  maxLength={16}  desp="客户编号" path="/gcdgrp/oth/pts/extkey" />
                            </Col>
                            <Col span={3} offset={1}>
                                <Button  type="primary" icon="search" onClick={this.onOthp_sel} desp="查询" path="/gctp/othp/sel">
                                    <Label   itext="查询"/>
                                </Button>
                            </Col>
                        </Row> */}
                    </Col>
                </Row>   
                {/* <Row>
                    <Col span={12}>
                        <Row className="row">
                           <Col span={19} offset={2}>
                                <TextAreaItem InputProps={bind("pts3_adrblk")} desp="SWIFT地址" path="/gcdgrp/prb/pts/adrblk"/>
                            </Col> 
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={19} offset={2}>
                                <TextAreaItem InputProps={bind("pts2_adrblk")} desp="SWIFT地址" path="/gcdgrp/oth/pts/adrblk"/>
                            </Col>
                        </Row>
                    </Col>
                </Row>  */}
                 {/* 底部按钮 */}
                <BottomBtn _this={this} />        
		</div>
		)
	}
}
