import React,{Component,Fragment} from 'react'
import PropTypes from 'prop-types'
import {Page,Validator,Notification,FormItem,DatePickerItem,TextAreaItem,CheckboxItem,Checkbox,
    InputItem,Input,Bind,SelectItem,Button,Label,Image,Table,BottomBtn} from '@/components/Common-Library'
import Api from '@/service/api'
import mGitfre from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable,runInAction } from 'mobx'
import {Row ,Col} from 'antd'
import Ptspta2 from '@/views/Public/Ptspta2'


const CodeTable = CodeTableFactory.getInstance()


@inject('UserContext')
@inject('i18n')
@observer
export default class GitfreScreen extends Page
{
    static childContextTypes = {
        trn: PropTypes.string,
    }
    getChildContext () {
        return {trn:'gitfre'}
    }
    
    
    @observable
    formBlur=false

    constructor(props)
    {
        super(props)
        this.model = new mGitfre()    
        this.bind = Bind.bind(this)
    }

    //交易内实现
    renderPage(){
    	const bind = this.bind
        const {i18n} = this.props
             
        return (
        	<div style={{ position: 'relative' }}>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Reference" trn="gitfre" />    
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("ownref")}  maxLength={16}  desp="Reference" path="/gidgrp/rec/ownref" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Name" trn="gitfre" /> 
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("nam")}  maxLength={40}  desp="Externally Displayed Name to Identify the Contract" path="/gidgrp/rec/nam" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                            	{/* <Label itext="Applicant" trn="gitfre" />	 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Guarantee Amount" trn="gitfre" /> 
                            </Col>
                            <Col span={6}>
                                <InputItem InputProps={bind("max_cur")}  maxLength={3}  desp="Currency" path="/gidgrp/cbs/max/cur" />
                            </Col>
                            <Col span={7} offset={1}>
                                <InputItem InputProps={bind("max_amt")}   desp="Balance" path="/gidgrp/cbs/max/amt" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label  itext="客户英文名称" trn="gitfre"/>
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts3_nam")}  maxLength={100}  desp="客户英文名称" path="/gidgrp/apl/pts/nam" />
                            </Col>
                        </Row>
                    </Col>
                </Row>           	

                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Open Amount" trn="gitfre" />  
                            </Col>
                            <Col span={6}>
                                <InputItem InputProps={bind("opn1_cur")}  maxLength={3}  desp="Currency" path="/gidgrp/cbs/opn1/cur" />
                            </Col>
                            <Col span={7} offset={1}>
                                <InputItem InputProps={bind("opn1_amt")}   desp="Balance" path="/gidgrp/cbs/opn1/amt" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Handling Type" trn="gitfre" />    
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("hndtyp")} code={CodeTable.hndtyp}  desp="Handling Type" path="/gidgrp/rec/hndtyp"/>
                            </Col>
                        </Row>
                    </Col>
                </Row> 
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="客户英文名称" trn="gitfre" />  
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts4_nam")}  maxLength={100}  desp="客户英文名称" path="/gidgrp/ben/pts/nam" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Type of Undertaking" trn="gitfre" />  
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("gartyp")} code={CodeTable.typgar}  desp="Type of Undertaking" path="/gidgrp/rec/gartyp"/>
                            </Col>
                        </Row>
                    </Col>
                </Row> 
                            	{/* <Label itext="Beneficiary" trn="gitfre" />	
                            	<Label itext="Adv\Rcv Bank" trn="gitfre" />	 */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="客户英文名称" trn="gitfre" />  
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts2_nam")}  maxLength={100}  desp="客户英文名称" path="/gidgrp/adv/pts/nam" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Valid until" trn="gitfre"/>
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("expdat")}  desp="Valid until" path="/gidgrp/rec/expdat" />
                            </Col>
                        </Row>
                    </Col>
                </Row> 
                
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Liability until" trn="gitfre" /> 
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("liadat")}  desp="Liability until" path="/gidgrp/rec/liadat" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="客户英文名称" trn="gitfre" />  
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("pts5_nam")}  maxLength={100}  desp="客户英文名称" path="/gidgrp/iss/pts/nam" />
                            </Col>
                        </Row>
                    </Col>
                </Row> 	
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Role Message" trn="gitfre" />  
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("fremsg_msgrol")} code={CodeTable.rolall}  desp="Role Message" path="/fremsg/msgrol"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="发报类型" trn="gitfre" /> 
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("fremsg_sndmt")} code={CodeTable.sndmt}  desp="message to be created" path="/fremsg/sndmt"/>
                            </Col>
                        </Row>
                    </Col>
                </Row> 	
                            	{/* <Label value={this.model.gitp0_liafldlab}   desp="Label for Field Lability" path="/gitp0/liafldlab" /> */}

                

                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="报文类型" trn="gitfre" /> 
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("fremsg_fulmt")} code={CodeTable.fulmt}  desp="MT to Send" path="/fremsg/fulmt"/>
                            </Col>
                        </Row>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="标题" trn="gitfre" />   
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("fremsg_prttitle")}  maxLength={35}  desp="Document Title" path="/fremsg/prttitle" />
                            </Col> 
                        </Row>
                    </Col>
                    <Col span={12}>
                        {/* <Row className="row">
                            <Col span={16} offset={2}>
                                <InputItem InputProps={bind("pts1_extkey")}  maxLength={16}  desp="客户编号" path="/fremsg/fmo/pts/extkey" />
                            </Col>
                            <Col span={2} offset={1}>
                                <Button  type="primary" icon="search" onClick={this.onFmop_sel} desp="查询" path="/fremsg/fmop/sel">
                                    <Label   itext="查询"/>
                                </Button>
                            </Col>
                        </Row> */}
                        <Ptspta2 model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址", prefix: 'pts1', url: 'gitfre/fmop_sel', flg: 'C', datakey: '' }} formBlur={this.formBlur}/>
                    </Col>
                </Row>
               	
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            {/* <Col span={19} offset={2}>
                                <TextAreaItem InputProps={bind("pts1_adrblk")} desp="SWIFT地址" path="/fremsg/fmo/pts/adrblk"/>
                            </Col> */}
                            <Col span={5} offset={2}>
                                <Label itext="相关报文" trn="gitfre" /> 
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("fremsg_relmt")} code={CodeTable.relmt}  desp="related MT" path="/fremsg/relmt"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label  itext="from" trn="gitfre" />
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("fremsg_reldat")}  desp="from" path="/fremsg/reldat" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                            	
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="relevant message" trn="gitfre" />
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("fremsg_reldir")} code={CodeTable.reldir}  desp="relevant message sent/received" path="/fremsg/reldir"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="副本的收报行" trn="gitfre" />   
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("fremsg_ccrol")} code={CodeTable.rolall}  desp="Role Copy" path="/fremsg/ccrol"/>
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="flg for gitfre" trn="gitfre" />
                            </Col>
                            <Col span={14}>
                                <CheckboxItem InputProps={bind("fremsg_flg")}  desp="flg for gitfre" path="/fremsg/flg" />
                            </Col>
                        </Row>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="tag 20 Ref" trn="gitfre" />
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("fremsg_tag20ref")}  maxLength={16}  desp="tag 20 Ref" path="/fremsg/tag20ref" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Ptspta2 model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址", prefix: 'pts', url: 'gitfre/fmcp_sel', flg: 'C', datakey: '' }} formBlur={this.formBlur}/>
                    </Col>
                </Row>
                {/* <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={15} offset={2}>
                                <InputItem InputProps={bind("pts_extkey")}  maxLength={16}  desp="客户编号" path="/fremsg/fmc/pts/extkey" />
                            </Col>
                            <Col span={3} offset={1}>
                                <Button  type="primary" icon="search" onClick={this.onFmcp_sel} desp="查询" path="/fremsg/fmcp/sel">
                                    <Label   itext="查询"/>
                                </Button>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        
                    </Col>
                </Row> */}
            	<Row>
                    <Col span={12}>
                        {/* <Row className="row">
                            <Col span={19} offset={2}>
                                <TextAreaItem InputProps={bind("pts_adrblk")} desp="SWIFT地址" path="/fremsg/fmc/pts/adrblk"/>
                            </Col>
                        </Row> */}
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Narrative" trn="gitfre"  />
                            </Col>
                            <Col span={11}>
                                <TextAreaItem InputProps={bind("fremsg_strinf")} desp="Narrative" path="/fremsg/strinf"/>
                            </Col>
                            <Col span={2} offset={1}>
                                <Button  type="primary" icon="search" onClick={this.onTxtfre_buttxmsel} desp="..." path="/fremsg/txtfre/buttxmsel">
                                    <Label   itext="..."/>
                                </Button>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        
                    </Col>
                </Row>
                {/* 底部按钮 */}
                <BottomBtn _this={this} /> 
		</div>
		)
	}
}
