import React,{Component,Fragment} from 'react'
import PropTypes from 'prop-types'
import {Page,Validator,Notification,FormItem,DatePickerItem,TextAreaItem,CheckboxItem,Checkbox,
    InputItem,Input,Bind,SelectItem,Button,Label,Image,Table,Steps} from '@/components/Common-Library'
import Api from '@/service/api'
import mInfgid from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { Card } from 'antd'
import Selp from './Selp'
import { action, observable,runInAction } from 'mobx'


const CodeTable = CodeTableFactory.getInstance()
const StepItem = Steps.Item


@inject('UserContext')
@inject('i18n')
@observer
export default class InfgidScreen extends Page
{
    static childContextTypes = {
        trn: PropTypes.string,
    }
    getChildContext () {
        return {trn:'infgid'}
    }
    
     @observable
	extra = { inifrm: 'infgid', sptinr: '', bchlevelLst: [] }
    
    @observable
    formBlur=false

    constructor(props)
    {
        super(props)
        this.state = {
			flag: true
		}
        this.model = new mInfgid()    
        this.bind = Bind.bind(this)
    }
	
	async componentWillMount() 
	{
		/*
		*添加初始化代码
		*/
		let sptinr = '';
       let rtnmsg = [];
       if (this.props.location.query) {
           sptinr = this.props.location.query.inr
           this.extra.sptinr = sptinr
           rtnmsg = await Api.post(this.extra.inifrm + '/init', { params: { sptinr } })
       } else {
           rtnmsg = await Api.post(this.extra.inifrm + '/init', {})
       }
		if(rtnmsg.retcod == SUCCESS)
		{
            Object.assign(this.model, rtnmsg.data)
			this.extra.bchlevelLst = rtnmsg.codetable.ownbch;
			this.extra.bopmod_szflg = rtnmsg.codetable.bopmod_szflg;
			this.setState({ flag: false })
        }else {
			Notification.error({ message: '服务端请求失败!' })
		}

		//快照模式下，不必开启校验，否则，静默校验，和记录变动
        !this.loadDisplay() && this.model.openMonitor() //开启校验
	}
    componentWillUnmount()
    {
        this.model.stopMonitor&&this.model.stopMonitor()//关闭校验
    }



    //按钮事件
    

    //交易内实现
    renderPage(){
    	const bind = this.bind
        const {i18n} = this.props
             
        return (
        	<Card title="进口保函查询" size="small" className="transTitle">
				<Steps>
                	<StepItem title="查询">
						<Selp model={this.model} extra={this.extra} flag={this.state.flag} />
					</StepItem>
				</Steps>
			</Card>
		)
	}
}
