import React,{Component,Fragment} from 'react'
import PropTypes from 'prop-types'
import {Page,Validator,Notification,FormItem,DatePickerItem,TextAreaItem,CheckboxItem,Checkbox,
    InputItem,Input,Bind,SelectItem,Button,Label,Image,Table} from '@/components/Common-Library'
import Api from '@/service/api'
import mLcyame from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable,runInAction } from 'mobx'
import { Row, Col} from 'antd';
import BottomBtn from '@/views/Public/BottomBtn'


const CodeTable = CodeTableFactory.getInstance()


@inject('UserContext')
@inject('i18n')
@observer
export default class BasicScreen extends Page
{
    static childContextTypes = {
        trn: PropTypes.string,
    }
    getChildContext () {
        return {trn:'lcyame'}
    }
    
    
    @observable
    formBlur=false

    constructor(props)
    {
        super(props)
        this.model = this.props.model 
        this.bind = Bind.bind(this)
    }

    //交易内实现
    renderPage(){
    	const bind = this.bind
        const {i18n} = this.props
             
        return (
        	<div style={{ position: 'relative' }}>
                {/*第一行*/}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="操作类型" trn="lcyame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("actiontyp")}  maxLength={16}  />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="补录/修改/撤销原因" trn="lcyame" />	
                            </Col>
                            <Col span={14}>
                                <TextAreaItem InputProps={bind("reasonremark")}  maxLength={140}   />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="补录修改原因代码" trn="lcyame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("reasoncod")}  maxLength={140}   />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="银行自身流水号" trn="lcyame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("baksrinum")}  maxLength={140}   />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="业务类型代码" trn="lcyame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("biztypcod")}  maxLength={140}   />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="证件类型代码" trn="lcyame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("idtypecod")}  maxLength={140}   />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="证件号码" trn="lcyame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("idcode")}  maxLength={140}   />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="国家/地区代码" trn="lcyame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("ctycod")}  maxLength={140}   />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="补充证件号码" trn="lcyame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("addidcode")}  maxLength={140}   />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="姓名" trn="lcyame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("personnam")}  maxLength={140}   />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="结汇资金属性代码" trn="lcyame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("salefxtxcode")}  maxLength={140}   />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="币种" trn="lcyame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("cur")}  maxLength={140}   />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="结汇金额" trn="lcyame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("salefxamt")}  maxLength={140}   />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="结汇人民币账户" trn="lcyame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("lcycnyacc")}  maxLength={140}   />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="结汇资金形态代码" trn="lcyame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("selsetcod")}  maxLength={140}   />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="个人外汇账户账号" trn="lcyame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("lcyacctno")}  maxLength={140}   />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="业务办理渠道代码" trn="lcyame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("biztxchnlcod")}  maxLength={140}   />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="业务办理时间" trn="lcyame" />	
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("biztxtime")}  />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="备注" trn="lcyame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("remark")}  maxLength={140}   />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="代理企业组织机构代码" trn="lcyame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("agentcorpcod")}  maxLength={140}   />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="代理企业名称" trn="lcyame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("agentcorpnam")}  maxLength={140}   />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="个体工商户组织机构代码" trn="lcyame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("indivorgcode")}  maxLength={140}   />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="个体工商户名称" trn="lcyame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("indivorgname")}  maxLength={140}   />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="支付机构组织代码" trn="lcyame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("payorgcod")}  maxLength={140}   />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="外汇局批件号" trn="lcyame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("capitalno")}  maxLength={140}   />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        
                    </Col>
                </Row>
                <BottomBtn _this={this} />
		</div>
		)
	}
}
