import React,{Component,Fragment} from 'react'
import PropTypes from 'prop-types'
import {Page,Validator,Notification,FormItem,DatePickerItem,TextAreaItem,CheckboxItem,Checkbox,
    InputItem,Input,Bind,SelectItem,Button,Label,Image,Table,BottomBtn} from '@/components/Common-Library'
import Api from '@/service/api'
import mLitame from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable,runInAction } from 'mobx'
import { Row, Col} from 'antd';
import Ptspta2 from '@/views/Public/Ptspta2'
import Business from '@/views/Public/Business'


const CodeTable = CodeTableFactory.getInstance()


@inject('UserContext')
@inject('i18n')
@observer
export default class LitameScreen extends Page
{
    static childContextTypes = {
        trn: PropTypes.string,
    }
    getChildContext () {
        return {trn:'litame'}
    }
    
    
    @observable
    formBlur=false

    constructor(props)
    {
        super(props)
        this.model = new mLitame()    
        this.bind = Bind.bind(this)
    }
	
	
    //交易内实现
    renderPage(){
    	const bind = this.bind
        const {i18n} = this.props
             
        return (
        	<div style={{ position: 'relative' }}>
                <Business wrappedComponentRef={ref => (this.com = ref)} steps={this.props.steps} extra={this.props.extra} model={this.model} />
                {/*第一行*/}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="参考号" trn="litame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("ownref")}  maxLength={16}  desp="Reference" path="/lidgrp/rec/ownref" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="摘要" trn="litame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("nam")}  maxLength={140}  desp="Externally Displayed Name to Identify the Contract" path="/lidgrp/rec/nam" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="修改日期" trn="litame" />	
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("swiadd_amedat")}  desp="Date of Amendment" path="/litamep/swiadd/amedat" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="修改次数" trn="litame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("swiadd_amenbr")}   desp="Number of Amendment" path="/litamep/swiadd/amenbr" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="实际修改次数" trn="litame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("litamep_amenbr")}   desp="Number of Amendment" path="/litamep/amenbr" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Nominal Amount" trn="litame" />	
                            </Col>
                            <Col span={6}>
                                <SelectItem InputProps={bind("nom1_cur")} code={CodeTable.curtxt}  desp="Currency" path="/lidgrp/cbs/nom1/cur"/>
                            </Col>
                            <Col span={7} offset={1}>
                                <InputItem InputProps={bind("nom11_amt")}   desp="Balance" path="/oldlidgrp/cbs/nom1/amt" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="溢短装" trn="litame" />	
                            </Col>
                            <Col span={6}>
                                <InputItem InputProps={bind("nomtop1")}   desp="Amount Tolerance - Positive" path="/oldlidgrp/rec/nomtop" />
                            </Col>
                            <Col span={7} offset={1}>
                                <InputItem InputProps={bind("nomton1")}   desp="Amount Tolerance - Negative" path="/oldlidgrp/rec/nomton" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="信用证金额" trn="litame" />	
                            </Col>
                            <Col span={6}>
                                <InputItem InputProps={bind("swiadd_newnomtop")}   desp="New positive tolerance" path="/litamep/swiadd/newnomtop" />
                            </Col>
                            <Col span={7} offset={1}>
                                <InputItem InputProps={bind("swiadd_newnomton")}   desp="New negative tolerance" path="/litamep/swiadd/newnomton" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="最大金额" trn="litame" />	
                            </Col>
                            <Col span={6}>
                                <InputItem InputProps={bind("max1_cur")}  maxLength={3}  desp="Currency" path="/oldlidgrp/cbs/max/cur" />
                            </Col>
                            <Col span={7} offset={1}>
                                <InputItem InputProps={bind("max1_amt")}   desp="Balance" path="/oldlidgrp/cbs/max/amt" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="增减金额" trn="litame" />	
                            </Col>
                            <Col span={6}>
                                <SelectItem InputProps={bind("swiadd_amecur")} code={CodeTable.curtxt}  desp="Currency of amended amount" path="/litamep/swiadd/amecur"/>
                            </Col>
                            <Col span={7} offset={1}>
                                <InputItem InputProps={bind("swiadd_ameamt")}   desp="Amended Amount" path="/litamep/swiadd/ameamt" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="修改总金额" trn="litame" />	
                            </Col>
                            <Col span={6}>
                                <SelectItem InputProps={bind("litamep_engcur")}   desp="Engagement Currency" path="/litamep/engcur"/>
                            </Col>
                            <Col span={7} offset={1}>
                                <InputItem InputProps={bind("litamep_engamt")}   desp="change of engagement:" path="/litamep/engamt" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="修改后金额" trn="litame" />	
                            </Col>
                            <Col span={6}>
                                <SelectItem InputProps={bind("swiadd_newcur")}   desp="Currency of new amount" path="/litamep/swiadd/newcur"/>
                            </Col>
                            <Col span={7} offset={1}>
                                <InputItem InputProps={bind("swiadd_newamt")}   desp="New amount" path="/litamep/swiadd/newamt" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Maximum Amount" trn="litame" />	
                            </Col>
                            <Col span={6}>
                                <InputItem InputProps={bind("litamep_maxcur")}  maxLength={3}  desp="Currency of Maximum Amount" path="/litamep/maxcur" />
                            </Col>
                            <Col span={7} offset={1}>
                                <InputItem InputProps={bind("litamep_maxamt")}   desp="New Maximum Amount" path="/litamep/maxamt" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="金额说明" trn="litame" />	
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("swiadd_nomspc")} code={CodeTable.nomspc}  desp="Amount Specification" path="/litamep/swiadd/nomspc"/>
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="到期日" trn="litame" />	
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("expdat1")}  desp="Date of Expiry" path="/oldlidgrp/rec/expdat" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="装运日" trn="litame" />	
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("shpdat1")}  desp="Shipment Date" path="/oldlidgrp/rec/shpdat" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="新到期日" trn="litame" />	
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("swiadd_newexpdat")}  desp="New Expiry Date" path="/litamep/swiadd/newexpdat" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="新装运日" trn="litame" />	
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("swiadd_newshpdat")}  desp="New Shipmentdate" path="/litamep/swiadd/newshpdat" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="装船期限" trn="litame" />	
                            </Col>
                            <Col span={14}>
                                <TextAreaItem InputProps={bind("swiadd_shpper")} desp="Shipment Period" path="/litamep/swiadd/shpper"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="货物起运地" trn="litame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("swiadd_shpfro")}  maxLength={65}  desp="Shipment from" path="/litamep/swiadd/shpfro" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="始发（航空）站" trn="litame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("swiadd_porloa")}  maxLength={65}  desp="Port of Loading" path="/litamep/swiadd/porloa" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="终点（航空）站" trn="litame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("swiadd_pordis")}  maxLength={65}  desp="Port of Discharge" path="/litamep/swiadd/pordis" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="目的地" trn="litame" />	
                            </Col>
                            <Col span={14}>
                                <InputItem InputProps={bind("swiadd_shpto")}  maxLength={65}  desp="For Transportation to" path="/litamep/swiadd/shpto" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="附加金额修改描述" trn="litame" />	
                            </Col>
                            <Col span={14}>
                                <TextAreaItem InputProps={bind("swiadd_addamtcov")} desp="Additional Amount Covered" path="/litamep/swiadd/addamtcov"/>
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Add. Amount" trn="litame" />	
                            </Col>
                            <Col span={14}>
                                <CheckboxItem InputProps={bind("aammod_addamtflg")}  desp="Add. Amount" path="/litp/aamp/aammod/addamtflg" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Additional Amount" trn="litame" />	
                            </Col>
                            <Col span={6}>
                                <InputItem InputProps={bind("max2_cur")}  maxLength={3}  desp="Currency" path="/lidgrp/cbs/max2/cur" />
                            </Col>
                            <Col span={7} offset={1}>
                                <InputItem InputProps={bind("swiadd_addamt")}   desp="Additional Amount" path="/litamep/swiadd/addamt" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Request of Amendment" trn="litame" />	
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("litamep_ramrol")}   desp="Request of Amendment send to" path="/litamep/ramrol"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Create Amendment Message" trn="litame" />	
                            </Col>
                            <Col span={14}>
                                <CheckboxItem InputProps={bind("litamep_cre707flg")}  desp="Create Amendment Message" path="/litamep/cre707flg" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <BottomBtn _this={this} />
                                {/* <Label value={this.model.litamep_ramrollab}   desp="Label for RAMROL" path="/litamep/ramrollab" /> */}
                                
		</div>
		)
	}
}
