import React,{Component,Fragment} from 'react'
import PropTypes from 'prop-types'
import {Page,Validator,Notification,FormItem,DatePickerItem,TextAreaItem,CheckboxItem,Checkbox,
    InputItem,Input,Bind,SelectItem,Button,Label,Image,Table,BottomBtn} from '@/components/Common-Library'
import Api from '@/service/api'
import mLitdck from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable,runInAction } from 'mobx'
import { Row, Col} from 'antd';
import Ptspta2 from '@/views/Public/Ptspta2'
import Business from '@/views/Public/Business'


const CodeTable = CodeTableFactory.getInstance()


@inject('UserContext')
@inject('i18n')
@observer
export default class BasicScreen extends Page
{
    static childContextTypes = {
        trn: PropTypes.string,
    }
    getChildContext () {
        return {trn:'litdck'}
    }
    
    
    @observable
    formBlur=false

    constructor(props)
    {
        super(props)
        this.model = new mLitdck()    
        this.bind = Bind.bind(this)
    }

    //交易内实现
    renderPage(){
    	const bind = this.bind
        const {i18n} = this.props
             
        return (
        	<div style={{ position: 'relative' }}>
				<Business wrappedComponentRef={ref => (this.com = ref)} steps={this.props.steps} extra={this.props.extra} model={this.model} />
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="参考号" trn="litdck" />	
                            </Col>
                            <Col span={14}>
								<InputItem InputProps={bind("ownref1")}  maxLength={16}  desp="Reference" path="/lidgrp/rec/ownref" />
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="简略信息" trn="litdck" />	
                            </Col>
                            <Col span={14}>
								<InputItem InputProps={bind("nam1")}  maxLength={140}  desp="Externally Displayed Name to Identify the Contract" path="/lidgrp/rec/nam" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
				<Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="信用证金额" trn="litdck" />	
                            </Col>
                            <Col span={6}>
								<SelectItem InputProps={bind("nom1_cur")} code={CodeTable.curtxt}  desp="Currency" path="/lidgrp/cbs/nom1/cur"/>
                            </Col>
							<Col span={7} offset={1}>
								<InputItem InputProps={bind("nom1_amt")}   desp="Balance" path="/lidgrp/cbs/nom1/amt" />
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Add. Amount" trn="litdck" />	
                            </Col>
                            <Col span={14}>
								<CheckboxItem InputProps={bind("aammod_addamtflg")}  desp="Add. Amount" path="/brtp/aammod/addamtflg" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
								{/* <Label itext="申请人" trn="litdck" />	 */}
				<Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>	
								<Label itext="申请人编号" trn="litdck" />	
                            </Col>
                            <Col span={14}>
								<InputItem InputProps={bind("pts_ref")}  maxLength={16}  desp="参考号" path="/brdgrp/apl/pts/ref" />
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="客户英文名称" trn="litdck" />	
                            </Col>
                            <Col span={14}>
								<InputItem InputProps={bind("pts_nam")}  maxLength={100}  desp="客户英文名称" path="/brdgrp/apl/pts/nam" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
				<Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="信用证余额" trn="litdck" />	
                            </Col>
                            <Col span={6}>
								<InputItem InputProps={bind("opn1_cur")}  maxLength={3}  desp="Currency" path="/lidgrp/cbs/opn1/cur" />
                            </Col>
							<Col span={7} offset={1}>
								<InputItem InputProps={bind("opn1_amt")}   desp="Balance" path="/lidgrp/cbs/opn1/amt" />
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Revolving Flag" trn="litdck" />	
                            </Col>
                            <Col span={14}>
								<CheckboxItem InputProps={bind("revflg")}  desp="Revolving Flag" path="/lidgrp/rec/revflg" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
								
				<Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="指定银行" trn="litdck" />	
                            </Col>
                            <Col span={14}>
								<InputItem InputProps={bind("lidgrp_avbnam")}  maxLength={40}  desp="Available with Bank" path="/lidgrp/avbnam" />
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Red/Green Clause" trn="litdck" />	
                            </Col>
                            <Col span={14}>
								<CheckboxItem InputProps={bind("redclsflg")}  desp="Red/Green Clause" path="/lidgrp/rec/redclsflg" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
				<Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>	
								<Label itext="受益编号" trn="litdck" />	
                            </Col>
                            <Col span={14}>
								<InputItem InputProps={bind("pts1_ref")}  maxLength={16}  desp="参考号" path="/brdgrp/ben/pts/ref" />
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="客户英文名称" trn="litdck" />	
                            </Col>
                            <Col span={14}>
								<InputItem InputProps={bind("pts1_nam")}  maxLength={100}  desp="客户英文名称" path="/brdgrp/ben/pts/nam" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
								{/* <Label itext="受益人" trn="litdck" />	 */}
				<Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>	
								<Label itext="兑付方式" trn="litdck" />	
                            </Col>
                            <Col span={14}>
								<SelectItem InputProps={bind("avbby")}   desp="Available by" path="/lidgrp/rec/avbby"/>
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="信用证类型" trn="litdck" />	
                            </Col>
                            <Col span={14}>
								<SelectItem InputProps={bind("lcrtyp")}   desp="Form of Documentary Credit" path="/lidgrp/rec/lcrtyp"/>
                            </Col>
                        </Row>
                    </Col>
                </Row>
								{/* <Label itext="交单行" trn="litdck" />	 */}
				<Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>	
								<Label itext="交单编号" trn="litdck" />	
                            </Col>
                            <Col span={14}>
								<InputItem InputProps={bind("pts2_ref")}  maxLength={16}  desp="参考号" path="/brdgrp/prb/pts/ref" />
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="开证日期" trn="litdck" />	
							</Col>
                            <Col span={14}>
								<DatePickerItem InputProps={bind("opndat")}  desp="Date L/C Opened/Issued" path="/lidgrp/rec/opndat" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
								
				<Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>	
								<Label itext="最迟装运日期" trn="litdck" />	
                            </Col>
                            <Col span={14}>
								<DatePickerItem InputProps={bind("shpdat1")}  desp="Shipment Date" path="/lidgrp/rec/shpdat" />
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="客户英文名称" trn="litdck" />	
							</Col>
                            <Col span={14}>
								<InputItem InputProps={bind("pts2_nam")}  maxLength={100}  desp="客户英文名称" path="/brdgrp/prb/pts/nam" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
				<Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>	
								<Label itext="到期日/到期地点" trn="litdck" />	
                            </Col>
                            <Col span={14}>
								<DatePickerItem InputProps={bind("expdat")}  desp="Date of Expiry" path="/lidgrp/rec/expdat" />
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Place of Expiry" trn="litdck" />	
							</Col>
                            <Col span={14}>
								<InputItem InputProps={bind("expplc")}  maxLength={29}  desp="Place of Expiry" path="/lidgrp/rec/expplc" />
                            </Col>
                        </Row>
                    </Col>
                </Row>	
				<Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>	
								<Label itext="Document Reference" trn="litdck" />	
                            </Col>
                            <Col span={14}>
								<InputItem InputProps={bind("ownref")}  maxLength={16}  desp="Own Reference BR Number" path="/brdgrp/rec/ownref" />
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Name" trn="litdck" />	
							</Col>
                            <Col span={14}>
								<InputItem InputProps={bind("nam")}  maxLength={40}  desp="Name of Bill Contract" path="/brdgrp/rec/nam" />
                            </Col>
                        </Row>
                    </Col>
                </Row>	
				<Row>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Presented by" trn="litdck" />	
							</Col>
                            <Col span={14}>
								<SelectItem InputProps={bind("docprbrol")}   desp="Presented by" path="/brdgrp/rec/docprbrol"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>	
								<Label itext="Reference" trn="litdck" />	
                            </Col>
                            <Col span={14}>
								<InputItem InputProps={bind("pts2_ref")}  maxLength={16}  desp="参考号" path="/brdgrp/prb/pts/ref" />
                            </Col>
                        </Row>
                    </Col>
                </Row>	
				<Row>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
	                            <Label itext="Type of Advice" trn="litdav" />	
							</Col>
                            <Col span={14}>
	                            <SelectItem InputProps={bind("advtyp")} code={CodeTable.advtyp}  desp="Type of Advice Received" path="/brdgrp/rec/advtyp"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
	                            <Label itext="Payment advised on" trn="litdav" />	
							</Col>
                            <Col span={14}>
	                            <DatePickerItem InputProps={bind("advdat")}  desp="Date of Advice of Payment" path="/brdgrp/rec/advdat" />
                            </Col>
                        </Row>
                    </Col>
                </Row>	
				<Row>
                    <Col span={12}>
						<Ptspta2  model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址", prefix: 'pts2', url: 'litdck/prbp_ptysel', flg: 'C', datakey: '\\litp\\prbp\\ptslst' }} />
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
	                            <Label itext="Discrep. advised on" trn="litdav" />	
							</Col>
                            <Col span={14}>
	                            <DatePickerItem InputProps={bind("disdat")}  desp="Date of Discrepancy Advice" path="/brdgrp/rec/disdat" />
                            </Col>
                        </Row>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Send and Settle Document" trn="litdck" />	
							</Col>
                            <Col span={14}>
								<CheckboxItem InputProps={bind("brtp_setnowflg")}  desp="Register to Send and Settle Document" path="/brtp/setnowflg" />
                            </Col>
                        </Row>
                    </Col>
                </Row>	
								{/* <InputItem InputProps={bind("pts2_extkey")}  maxLength={16}  desp="客户编号" path="/brdgrp/prb/pts/extkey" />
								<Button  type="primary" icon="search" onClick={this.onPrbp_sel} desp="查询" path="/brtp/prbp/sel">
									<Label   itext="查询"/>
								</Button>
								<TextAreaItem InputProps={bind("pts2_adrblk")} desp="SWIFT地址" path="/brdgrp/prb/pts/adrblk"/> */}
			
				<Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>	
								<Label itext="Handle Discrepancies" trn="litdck" />	
                            </Col>
                            <Col span={14}>
	                            <CheckboxItem InputProps={bind("brtp_dcrflg")}  desp="Register to Handle Discrepancies" path="/brtp/dcrflg" />
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        
                    </Col>
                </Row>
				<BottomBtn _this={this} />	
		</div>
		)
	}
}
