import React,{Component,Fragment} from 'react'
import PropTypes from 'prop-types'
import {Page,Validator,Notification,FormItem,DatePickerItem,TextAreaItem,CheckboxItem,Checkbox,
    InputItem,Input,Bind,SelectItem,Button,Label,Image,Table,BottomBtn} from '@/components/Common-Library'
import Api from '@/service/api'
import mLitdck from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable,runInAction } from 'mobx'
import { Row, Col} from 'antd';
import Ptspta2 from '@/views/Public/Ptspta2'
import Business from '@/views/Public/Business'


const CodeTable = CodeTableFactory.getInstance()


@inject('UserContext')
@inject('i18n')
@observer
export default class LitdckScreen extends Page
{
    static childContextTypes = {
        trn: PropTypes.string,
    }
    getChildContext () {
        return {trn:'litdck'}
    }
    
    
    @observable
    formBlur=false

    constructor(props)
    {
        super(props)
        this.model = new mLitdck()    
        this.bind = Bind.bind(this)
    }
	
    //交易内实现
    renderPage(){
    	const bind = this.bind
        const {i18n} = this.props
             
        return (
        	<div style={{ position: 'relative' }}>
                <Business wrappedComponentRef={ref => (this.com = ref)} steps={this.props.steps} extra={this.props.extra} model={this.model} />
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="不符点" trn="litdck" />	
                            </Col>
                            <Col span={11}>
                                <TextAreaItem InputProps={bind("blk_docdis")} desp="Discrepancies" path="/brdgrp/blk/docdis"/>
                            </Col>
                            <Col span={2} offset={1}>
                                <Button  type="primary" icon="search" onClick={this.onDocdis_buttxmsel} desp="..." path="/brtp/docdis/buttxmsel">
                                    <Label   itext="..."/>
                                </Button>
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Ignore Discrepancies" trn="litdck" />	
                            </Col>
                            <Col span={14}>
                                <CheckboxItem InputProps={bind("igndisflg")}  desp="Ignore Discrepancies" path="/brdgrp/rec/igndisflg" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="discrepancies modified" trn="litdck" />	
                            </Col>
                            <Col span={14}>
                                <CheckboxItem InputProps={bind("blk_docdisflg")}  desp="discrepancies modified" path="/brdgrp/blk/docdisflg" />
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="收到的通知类型" trn="litdck" />	
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("advtyp")} code={CodeTable.advtyp}  desp="Type of Advice Received" path="/brdgrp/rec/advtyp"/>
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="注释和结论" trn="litdck" />	
                            </Col>
                            <Col span={14}>
                                <TextAreaItem InputProps={bind("blk_comcon")} desp="Comments and Conclusions" path="/brdgrp/blk/comcon"/>
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="付款日期" trn="litdck" />	
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("totdat")}  desp="Date to be Paid" path="/brdgrp/rec/totdat" />
                            </Col>
                        </Row>
                    </Col>
                </Row> 
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Discrepancy Advice Dated" trn="litdck" />	
                            </Col>
                            <Col span={14}>
                                <DatePickerItem InputProps={bind("disdat")}  desp="Date of Discrepancy Advice" path="/brdgrp/rec/disdat" />
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Documents on Approval Basis" trn="litdck" />	
                            </Col>
                            <Col span={14}>
                                <CheckboxItem InputProps={bind("approvcod")}  desp="Documents on Approval Basis" path="/brdgrp/rec/approvcod" />
                            </Col>
                        </Row>
                    </Col>
                </Row>  
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="结算指示" trn="litdck" />	
                            </Col>
                            <Col span={11}>
                                <TextAreaItem InputProps={bind("blk_setinsbr")} desp="Settlement Instructions BR" path="/brdgrp/blk/setinsbr"/>
                            </Col>
                            <Col span={2} offset={1}>
                                <Button  type="primary" icon="search" onClick={this.onSetinstxm_buttxmsel} desp="..." path="/brtp/setinstxm/buttxmsel">
                                    <Label   itext="..."/>
                                </Button>
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* <Label value={this.model.docgrdm_docdsclab}   desp="Label of document description" path="/brtp/docgrdm/docdsclab" /> */}
                                <Label itext="Create 752" trn="litdck" />	
                            </Col>
                            <Col span={14}>
                                <CheckboxItem InputProps={bind("brtp_cre752flg")}  desp="Create 752" path="/brtp/cre752flg" />
                            </Col>
                        </Row>
                    </Col>
                </Row>  
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                <Label itext="Further Identification" trn="litdck" />	
                            </Col>
                            <Col span={14}>
                                <SelectItem InputProps={bind("brtp_furide")}   desp="MT752: Further Indentification" path="/brtp/furide"/>
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
                                {/* <Label value={this.model.docgrdm_docdsclab}   desp="Label of document description" path="/brtp/docgrdm/docdsclab" /> */}
                                <Label itext="Create MT 732" trn="litdck" />	
                            </Col>
                            <Col span={14}>
                                <CheckboxItem InputProps={bind("brtp_cre732flg")}  desp="Create MT 732" path="/brtp/cre732flg" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
				<BottomBtn _this={this} />	
		</div>
		)
	}
}
