import React,{Component,Fragment} from 'react'
import PropTypes from 'prop-types'
import {Page,Validator,Notification,FormItem,DatePickerItem,TextAreaItem,CheckboxItem,Checkbox,
    InputItem,Input,Bind,SelectItem,Button,Label,Image,Table,BottomBtn} from '@/components/Common-Library'
import Api from '@/service/api'
import mLitrog from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable,runInAction } from 'mobx'
import { Row, Col} from 'antd';
import Ptspta2 from '@/views/Public/Ptspta2'
import Business from '@/views/Public/Business'


const CodeTable = CodeTableFactory.getInstance()


@inject('UserContext')
@inject('i18n')
@observer
export default class LitrogScreen extends Page
{
    static childContextTypes = {
        trn: PropTypes.string,
    }
    getChildContext () {
        return {trn:'litrog'}
    }
    
    
    @observable
    formBlur=false

    constructor(props)
    {
        super(props)
        this.model = new mLitrog()    
        this.bind = Bind.bind(this)
    }

    //交易内实现
    renderPage(){
    	const bind = this.bind
        const {i18n} = this.props
             
        return (
        	<div className="transPage">
				<Business wrappedComponentRef={ref => (this.com = ref)} steps={this.props.steps} extra={this.props.extra} model={this.model} />
				<Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>	
								<Label itext="Release of Goods" trn="litrog" />	
                            </Col>
                            <Col span={14}>
								<SelectItem InputProps={bind("relgodflg")}   desp="Release of Goods" path="/brdgrp/rec/relgodflg"/>
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Contract Number" trn="litrog" />	
							</Col>
                            <Col span={14}>
								<InputItem InputProps={bind("brtp_connum")}  maxLength={35}  desp="Contract Number" path="/brtp/connum" />
                            </Col>
                        </Row>
                    </Col>
                </Row>	
				<Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>	
								<Label itext="Release Type" trn="litrog" />	
                            </Col>
                            <Col span={14}>
								<SelectItem InputProps={bind("reltyp")} code={CodeTable.reltyp}  desp="Release Type" path="/brdgrp/rec/reltyp"/>
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="issue date" trn="litrog" />	
							</Col>
                            <Col span={14}>
								<DatePickerItem InputProps={bind("relgoddat")}  desp="Request Date for Release of Goods" path="/brdgrp/rec/relgoddat" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
				<Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>	
								<Label itext="Expiry Date" trn="litrog" />	
                            </Col>
                            <Col span={14}>
								<DatePickerItem InputProps={bind("expdat")}  desp="Expiry Date of Shipping Guarantee" path="/brdgrp/rec/expdat" />
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Carrier" trn="litrog" />	
							</Col>
                            <Col span={14}>
								<InputItem InputProps={bind("blk_carnam")}  maxLength={35}  desp="Carrier" path="/brdgrp/blk/carnam" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
				<Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>	
								<Label itext="Transport Doc. Type" trn="litrog" />	
                            </Col>
                            <Col span={14}>
								<SelectItem InputProps={bind("trpdoctyp")}   desp="Transport Document Type" path="/brdgrp/rec/trpdoctyp"/>
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="B/L Number" trn="litrog" />	
							</Col>
                            <Col span={14}>
								<InputItem InputProps={bind("blnum")}  maxLength={20}  desp="B/L Number" path="/brdgrp/rec/blnum" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
				<Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>	
								<Label itext="Transport Doc. No." trn="litrog" />	
                            </Col>
                            <Col span={14}>
								<InputItem InputProps={bind("trpdocnum")}  maxLength={40}  desp="Transport Document Number" path="/brdgrp/rec/trpdocnum" />
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Release Goods to Applicant" trn="litrog" />	
							</Col>
                            <Col span={14}>
								<CheckboxItem InputProps={bind("rtoaplflg")}  desp="Release Goods to Applicant ?" path="/brdgrp/rec/rtoaplflg" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
				<Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>	
								<Label itext="shipment date" trn="litrog" />	
                            </Col>
                            <Col span={14}>
								<DatePickerItem InputProps={bind("tradat")}  desp="Date of Transport Document" path="/brdgrp/rec/tradat" />
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Release to Address" trn="litrog" />	
							</Col>
                            <Col span={14}>
								<TextAreaItem InputProps={bind("blk_relstoadr")} desp="Release to Address" path="/brdgrp/blk/relstoadr"/>
                            </Col>
                        </Row>
                    </Col>
                </Row>
				<Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>	
								<Label itext="Mode of Transport" trn="litrog" />	
                            </Col>
                            <Col span={14}>
								<SelectItem InputProps={bind("tramod")}   desp="Mode of Transport" path="/brdgrp/rec/tramod"/>
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Vessel Name" trn="litrog" />	
							</Col>
                            <Col span={14}>
								<InputItem InputProps={bind("blk_vesnam")}  maxLength={40}  desp="Vessel Name" path="/brdgrp/blk/vesnam" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
				<Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>	
								<Label itext="Port of Discharge" trn="litrog" />	
                            </Col>
                            <Col span={14}>
								<InputItem InputProps={bind("blk_pordis")}  maxLength={40}  desp="Port of Discharge" path="/brdgrp/blk/pordis" />
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Place of Delivery" trn="litrog" />	
							</Col>
                            <Col span={14}>
								<InputItem InputProps={bind("blk_delplc")}  maxLength={40}  desp="Place of Delivery" path="/brdgrp/blk/delplc" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
								{/* <Label itext="Shipping company" trn="litrog" />	 */}
								<Row>
                    <Col span={12}>
						<Ptspta2  model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址", prefix: 'pts3', url: 'litrog/shpp_ptysel', flg: 'C', datakey: '\\litp\\shpp\\ptslst' }} />
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Covered Goods" trn="litrog" />	
							</Col>
                            <Col span={14}>
								<TextAreaItem InputProps={bind("blk_roggod")} desp="Identification of Goods" path="/brdgrp/blk/roggod"/>
                            </Col>
                        </Row>
						<Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Notify Party" trn="litrog" />	
							</Col>
                            <Col span={14}>
								<TextAreaItem InputProps={bind("blk_notpty")} desp="Notify Party" path="/brdgrp/blk/notpty"/>
                            </Col>
                        </Row>
                    </Col>
                </Row>
								{/* <InputItem InputProps={bind("pts3_extkey")}  maxLength={16}  desp="客户编号" path="/brdgrp/rog/pts/extkey" />
								<Button  type="primary" icon="search" onClick={this.onShpp_sel} desp="查询" path="/brtp/shpp/sel">
									<Label   itext="查询"/>
								</Button>
								<TextAreaItem InputProps={bind("pts3_adrblk")} desp="SWIFT地址" path="/brdgrp/rog/pts/adrblk"/> */}
				<Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>	
								<Label itext="Port of loading" trn="litrog" />	
                            </Col>
                            <Col span={14}>
								<InputItem InputProps={bind("blk_porlod")}  maxLength={40}  desp="Port of loading" path="/brdgrp/blk/porlod" />
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Voyage numer" trn="litrog" />	
							</Col>
                            <Col span={14}>
								<InputItem InputProps={bind("blk_voynum")}  maxLength={30}  desp="Voyage numer" path="/brdgrp/blk/voynum" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
				<Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>	
								<Label itext="Goods code" trn="litrog" />	
                            </Col>
                            <Col span={14}>
								<InputItem InputProps={bind("ngrcod")}  maxLength={6}  desp="Goods code" path="/brdgrp/rec/ngrcod" />
                            </Col>
                        </Row>
                    </Col>
					<Col span={12}>
                        <Row className="row">
                            
                        </Row>
                    </Col>
                </Row>
				<BottomBtn _this={this} />		
		</div>
		)
	}
}
