import { action, observable } from 'mobx'
import _descriptor from '../descriptor'
import {modelWrapper} from '@/components/RunTime'

@modelWrapper
class Litrop {
    
    @observable
    apprul=""           // \lidgrp\rec\apprul    Applicable Rules 

    @observable
    apprultxt=""           // \lidgrp\rec\apprultxt    Other Applicable Rules 

    @observable
    avbby=""           // \lidgrp\rec\avbby    Available by 

    @observable
    avbwth=""           // \lidgrp\rec\avbwth    Available with 

    @observable
    chato=""           // \lidgrp\rec\chato    Own Charges Borne by 

    @observable
    cnfdet=""           // \lidgrp\rec\cnfdet    Confirmation Instructions 

    @observable
    expdat=""           // \lidgrp\rec\expdat    Date of Expiry 

    @observable
    expplc=""           // \lidgrp\rec\expplc    Place of Expiry 

    @observable
    lcrtyp=""           // \lidgrp\rec\lcrtyp    Form of Documentary Credit 

    @observable
    nam=""           // \lidgrp\rec\nam    Externally Displayed Name to Identify the Contract 

    @observable
    nomspc=""           // \lidgrp\rec\nomspc    Amount Specification 

    @observable
    nomton=""           // \lidgrp\rec\nomton    Amount Tolerance - Negative 

    @observable
    nomtop=""           // \lidgrp\rec\nomtop    Amount Tolerance - Positive 

    @observable
    opndat=""           // \lidgrp\rec\opndat    Date L/C Opened/Issued 

    @observable
    ownref=""           // \lidgrp\rec\ownref    Reference 

    @observable
    pordis=""           // \lidgrp\rec\pordis    Port of Discharge 

    @observable
    porloa=""           // \lidgrp\rec\porloa    Port of Loading 

    @observable
    preadvdt=""           // \lidgrp\rec\preadvdt    Date Pre-advised 

    @observable
    redclsflg=""           // \lidgrp\rec\redclsflg    Red/Green Clause 

    @observable
    resflg=""           // \lidgrp\rec\resflg    Reserved Contract 

    @observable
    revflg=""           // \lidgrp\rec\revflg    Revolving Flag 

    @observable
    rmbflg=""           // \lidgrp\rec\rmbflg    Reimbursement Information 

    @observable
    shpdat=""           // \lidgrp\rec\shpdat    Shipment Date 

    @observable
    shpfro=""           // \lidgrp\rec\shpfro    Shipment from 

    @observable
    shppar=""           // \lidgrp\rec\shppar    Partial Shipment 

    @observable
    shpto=""           // \lidgrp\rec\shpto    For Transportation to 

    @observable
    shptrs=""           // \lidgrp\rec\shptrs    Transshipment 

    @observable
    stacty=""           // \lidgrp\rec\stacty    Country Code Risk Country 

    @observable
    stagod=""           // \lidgrp\rec\stagod    Goods Code 

    @observable
    tenmaxday=""           // \lidgrp\rec\tenmaxday    Maximum tenor in days 

    @observable
    liaall_liaallg=[]           // \liaall\liaallg 

    @observable
    liaccv_chgamt=""           // \liaall\liaccv\chgamt    变动金额 

    @observable
    liaccv_concur=""           // \liaall\liaccv\concur    业务结算币种 

    @observable
    liaccv_cshpct=""           // \liaall\liaccv\cshpct    保证金应收比例 

    @observable
    liaccv_liaccvg=[]           // \liaall\liaccv\liaccvg 

    @observable
    liaccv_newamt=""           // \liaall\liaccv\newamt    业务金额 

    @observable
    liaccv_pctresamt=""           // \liaall\liaccv\pctresamt    应收/支保证金 

    @observable
    liaccv_relcshpct=""           // \liaall\liaccv\relcshpct    保证金实收比例 

    @observable
    liaccv_totcovamt=""           // \liaall\liaccv\totcovamt    保证金合计 

    @observable
    pts_adrblk=""           // \lidgrp\a2b\pts\adrblk    SWIFT地址 

    @observable
    pts_extkey=""           // \lidgrp\a2b\pts\extkey    客户编号 

    @observable
    pts_ref=""           // \lidgrp\a2b\pts\ref    参考号 

    @observable
    pts1_adrblk=""           // \lidgrp\adv\pts\adrblk    SWIFT地址 

    @observable
    pts1_extkey=""           // \lidgrp\adv\pts\extkey    客户编号 

    @observable
    pts1_nam=""           // \lidgrp\adv\pts\nam    客户英文名称 

    @observable
    pts1_ref=""           // \lidgrp\adv\pts\ref    参考号 

    @observable
    pts2_adrblk=""           // \lidgrp\apl\pts\adrblk    SWIFT地址 

    @observable
    pts2_extkey=""           // \lidgrp\apl\pts\extkey    客户编号 

    @observable
    pts2_nam=""           // \lidgrp\apl\pts\nam    客户英文名称 

    @observable
    pts2_ref=""           // \lidgrp\apl\pts\ref    参考号 

    @observable
    pts3_adrblk=""           // \lidgrp\avb\pts\adrblk    SWIFT地址 

    @observable
    pts3_extkey=""           // \lidgrp\avb\pts\extkey    客户编号 

    @observable
    pts3_ref=""           // \lidgrp\avb\pts\ref    参考号 

    @observable
    lidgrp_avbnam=""           // \lidgrp\avbnam    Available with Bank 

    @observable
    pts4_adrblk=""           // \lidgrp\ben\pts\adrblk    SWIFT地址 

    @observable
    pts4_extkey=""           // \lidgrp\ben\pts\extkey    客户编号 

    @observable
    pts4_nam=""           // \lidgrp\ben\pts\nam    客户英文名称 

    @observable
    pts4_ref=""           // \lidgrp\ben\pts\ref    参考号 

    @observable
    blk_adlcnd=""           // \lidgrp\blk\adlcnd    Additional Conditions 

    @observable
    blk_defdet=""           // \lidgrp\blk\defdet    Deferred Payment Details 

    @observable
    blk_dftat=""           // \lidgrp\blk\dftat    Drafts at 

    @observable
    blk_feetxt=""           // \lidgrp\blk\feetxt    Additional Details to Code for Charges 

    @observable
    blk_insbnk=""           // \lidgrp\blk\insbnk    Instructions to Paying/Accepting/Negotiating Bank 

    @observable
    blk_lcrdoc=""           // \lidgrp\blk\lcrdoc    Documents Required 

    @observable
    blk_lcrgod=""           // \lidgrp\blk\lcrgod    Description of Gods 

    @observable
    blk_mixdet=""           // \lidgrp\blk\mixdet    Mixed Payment Details 

    @observable
    blk_preper=""           // \lidgrp\blk\preper    Presentation Period 

    @observable
    blk_preperflg=""           // \lidgrp\blk\preperflg    Presentation Period modified 

    @observable
    blk_shpper=""           // \lidgrp\blk\shpper    Shipment Period 

    @observable
    max_amt=""           // \lidgrp\cbs\max\amt    Balance 

    @observable
    max_cur=""           // \lidgrp\cbs\max\cur    Currency 

    @observable
    nom1_amt=""           // \lidgrp\cbs\nom1\amt    Balance 

    @observable
    nom1_cur=""           // \lidgrp\cbs\nom1\cur    Currency 

    @observable
    opn1_amt=""           // \lidgrp\cbs\opn1\amt    Balance 

    @observable
    opn1_cur=""           // \lidgrp\cbs\opn1\cur    Currency 

    @observable
    pts5_adrblk=""           // \lidgrp\cmb\pts\adrblk    SWIFT地址 

    @observable
    pts5_extkey=""           // \lidgrp\cmb\pts\extkey    客户编号 

    @observable
    pts6_adrblk=""           // \lidgrp\drw\pts\adrblk    SWIFT地址 

    @observable
    pts6_extkey=""           // \lidgrp\drw\pts\extkey    客户编号 

    @observable
    pts7_adrblk=""           // \lidgrp\ini\pts\adrblk    SWIFT地址 

    @observable
    pts7_extkey=""           // \lidgrp\ini\pts\extkey    客户编号 

    @observable
    pts7_ref=""           // \lidgrp\ini\pts\ref    参考号 

    @observable
    pts8_adrblk=""           // \lidgrp\rmb\pts\adrblk    SWIFT地址 

    @observable
    pts8_extkey=""           // \lidgrp\rmb\pts\extkey    客户编号 

    @observable
    pts8_ref=""           // \lidgrp\rmb\pts\ref    参考号 

    @observable
    usr_nam=""           // \litp\\sysmod\usr\nam    用户ID 

    @observable
    aammod_addamtflg=""           // \litp\aamp\aammod\addamtflg    Add. Amount 

    @observable
    litp_avblab=""           // \litp\avblab    Label Available with Bank 

    @observable
    aammod1_addamtflg=""           // \litp\litp0\aammod\addamtflg    Add. Amount 

    @observable
    setmod_docamt=""           // \setmod\docamt    document amount 

    @observable
    setmod_doccur=""           // \setmod\doccur    document currency 

    @observable
    setmod_feemac=""           // \setmod\feemac    FEEMAC 

    @observable
    glemod_glelst=[]           // \setmod\glemod\glelst 

    @observable
    fegmod_feslst=[]           // \setmod\setfeg\fegmod\feslst 

    @observable
    glgmod_glslst=[]           // \setmod\setglg\glgmod\glslst 

    @observable
    setmod_setmac=""           // \setmod\setmac    SETMAC 

    @observable
    spt_inr=""           // \sysmod\spt\inr    唯一编号 

    @observable
    trndoc_condocstm=""           // \trnmod\trndoc\condocstm    Connected Documents 

    @observable
    trndoc_cortyp=""           // \trnmod\trndoc\cortyp    Per Medium 

    @observable
    trndoc_doccod=""           // \trnmod\trndoc\doccod    面函码值 

    @observable
    docmod_doclst=[]           // \trnmod\trndoc\docmod\doclst 

    @observable
    trndoc_docpth=""           // \trnmod\trndoc\docpth    面函路径 

    @observable
    trndoc_doctrestm=""           // \trnmod\trndoc\doctrestm    Document tree 

    @observable
    trndoc_shwinc=""           // \trnmod\trndoc\shwinc    Show Incoming Messages 

    @observable
    trndoc_shwout=""           // \trnmod\trndoc\shwout    Show Outgoing Messages 

    @observable
    trndoc_shwoutint=""           // \trnmod\trndoc\shwoutint    Show Internal Messages 

    

    get descriptor()
    {
        return _descriptor
    }

    clear()
    {
            this.apprul=""
            this.apprultxt=""
            this.avbby=""
            this.avbwth=""
            this.chato=""
            this.cnfdet=""
            this.expdat=""
            this.expplc=""
            this.lcrtyp=""
            this.nam=""
            this.nomspc=""
            this.nomton=""
            this.nomtop=""
            this.opndat=""
            this.ownref=""
            this.pordis=""
            this.porloa=""
            this.preadvdt=""
            this.redclsflg=""
            this.resflg=""
            this.revflg=""
            this.rmbflg=""
            this.shpdat=""
            this.shpfro=""
            this.shppar=""
            this.shpto=""
            this.shptrs=""
            this.stacty=""
            this.stagod=""
            this.tenmaxday=""
            this.liaall_liaallg=[]
            this.liaccv_chgamt=""
            this.liaccv_concur=""
            this.liaccv_cshpct=""
            this.liaccv_liaccvg=[]
            this.liaccv_newamt=""
            this.liaccv_pctresamt=""
            this.liaccv_relcshpct=""
            this.liaccv_totcovamt=""
            this.pts_adrblk=""
            this.pts_extkey=""
            this.pts_ref=""
            this.pts1_adrblk=""
            this.pts1_extkey=""
            this.pts1_nam=""
            this.pts1_ref=""
            this.pts2_adrblk=""
            this.pts2_extkey=""
            this.pts2_nam=""
            this.pts2_ref=""
            this.pts3_adrblk=""
            this.pts3_extkey=""
            this.pts3_ref=""
            this.lidgrp_avbnam=""
            this.pts4_adrblk=""
            this.pts4_extkey=""
            this.pts4_nam=""
            this.pts4_ref=""
            this.blk_adlcnd=""
            this.blk_defdet=""
            this.blk_dftat=""
            this.blk_feetxt=""
            this.blk_insbnk=""
            this.blk_lcrdoc=""
            this.blk_lcrgod=""
            this.blk_mixdet=""
            this.blk_preper=""
            this.blk_preperflg=""
            this.blk_shpper=""
            this.max_amt=""
            this.max_cur=""
            this.nom1_amt=""
            this.nom1_cur=""
            this.opn1_amt=""
            this.opn1_cur=""
            this.pts5_adrblk=""
            this.pts5_extkey=""
            this.pts6_adrblk=""
            this.pts6_extkey=""
            this.pts7_adrblk=""
            this.pts7_extkey=""
            this.pts7_ref=""
            this.pts8_adrblk=""
            this.pts8_extkey=""
            this.pts8_ref=""
            this.usr_nam=""
            this.aammod_addamtflg=""
            this.litp_avblab=""
            this.aammod1_addamtflg=""
            this.setmod_docamt=""
            this.setmod_doccur=""
            this.setmod_feemac=""
            this.glemod_glelst=[]
            this.fegmod_feslst=[]
            this.glgmod_glslst=[]
            this.setmod_setmac=""
            this.spt_inr=""
            this.trndoc_condocstm=""
            this.trndoc_cortyp=""
            this.trndoc_doccod=""
            this.docmod_doclst=[]
            this.trndoc_docpth=""
            this.trndoc_doctrestm=""
            this.trndoc_shwinc=""
            this.trndoc_shwout=""
            this.trndoc_shwoutint=""
    }

} 


export default Litrop