import React,{Component,Fragment} from 'react'
import PropTypes from 'prop-types'
import {Page,Validator,Notification,FormItem,DatePickerItem,TextAreaItem,CheckboxItem,Checkbox,
    InputItem,Input,Bind,SelectItem,Button,Label,Image,Table,BottomBtn} from '@/components/Common-Library'
import Api from '@/service/api'
import mLitrop from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable,runInAction } from 'mobx'
import { Row, Col} from 'antd';
import Ptspta2 from '@/views/Public/Ptspta2'
import Business from '@/views/Public/Business'


const CodeTable = CodeTableFactory.getInstance()


@inject('UserContext')
@inject('i18n')
@observer
export default class LitropScreen extends Page
{
    static childContextTypes = {
        trn: PropTypes.string,
    }
    getChildContext () {
        return {trn:'litrop'}
    }
    
    
    @observable
    formBlur=false

    constructor(props)
    {
        super(props)
        this.model = new mLitrop()    
        this.bind = Bind.bind(this)
    }
	
    //交易内实现
    renderPage(){
    	const bind = this.bind
        const {i18n} = this.props
             
        return (
        	<div style={{ position: 'relative' }}>
                <Business wrappedComponentRef={ref => (this.com = ref)} steps={this.props.steps} extra={this.props.extra} model={this.model} />
				<Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Available with" trn="litrop" />	
                            </Col>
                            <Col span={14}>
								<SelectItem InputProps={bind("avbwth")} code={CodeTable.avbwth}  desp="Available with" path="/lidgrp/rec/avbwth"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Period modified" trn="litrop" />	
                            </Col>
                            <Col span={14}>
								<CheckboxItem InputProps={bind("blk_preperflg")}  desp="Presentation Period modified" path="/lidgrp/blk/preperflg" />
                            </Col>
                        </Row>
                    </Col>
                </Row>				

				<Row>
                    <Col span={12}>
                        {/* <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Available with" trn="litrop" />	
                            </Col>
                            <Col span={14}>
								<SelectItem InputProps={bind("avbwth")} code={CodeTable.avbwth}  desp="Available with" path="/lidgrp/rec/avbwth"/>
                            </Col>
                        </Row> */}
                        <Ptspta2  model={this.model} argArr={{ desc: "客户编号",desc1:"SWIFT地址", prefix: 'pts3', url: 'litrop/avbp_ptysel', flg: 'C', datakey: '\\litp\\aplp\\ptslst' }} />
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Presentation Period" trn="litrop" />	
                            </Col>
                            <Col span={11}>
								<TextAreaItem InputProps={bind("blk_preper")} desp="Presentation Period" path="/lidgrp/blk/preper"/>
                            </Col>
							<Col span={2} offset={1}>
								<Button  type="primary" icon="search" onClick={this.onPreper_buttxmsel} desp="..." path="/litp/preper/buttxmsel">
									<Label   itext="..."/>
								</Button>	
                            </Col>
                        </Row>
						<Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Available by" trn="litrop" />	
                            </Col>
                            <Col span={14}>
								<SelectItem InputProps={bind("avbby")} code={CodeTable.avbby0}  desp="Available by" path="/lidgrp/rec/avbby"/>
                            </Col>
                        </Row>
                    </Col>
                </Row>
				<Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Details" trn="litrop" />	
                            </Col>
                            <Col span={14}>
								<TextAreaItem InputProps={bind("blk_defdet")} desp="Deferred Payment Details" path="/lidgrp/blk/defdet"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Details of Charges" trn="litrop" />	
                            </Col>
                            <Col span={11}>
								<TextAreaItem InputProps={bind("blk_feetxt")} desp="Additional Details to Code for Charges" path="/lidgrp/blk/feetxt"/>
                            </Col>
							<Col span={2} offset={1}>
								<Button  type="primary" icon="search" onClick={this.onCharia_buttxmsel} desp="..." path="/litp/charia/buttxmsel">
									<Label   itext="..."/>
								</Button>	
                            </Col>
                        </Row>
                    </Col>
                </Row>	
								
				<Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Drafts at" trn="litrop" />	
                            </Col>
                            <Col span={14}>
								<TextAreaItem InputProps={bind("blk_dftat")} desp="Drafts at" path="/lidgrp/blk/dftat"/>
                            </Col>
                        </Row>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Deferred Payment" trn="litrop" />	
                            </Col>
                            <Col span={14}>
								<SelectItem InputProps={bind("chato")}   desp="Own Charges Borne by" path="/lidgrp/rec/chato"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Ptspta2  model={this.model} argArr={{ desc: "Drawee",desc1:"SWIFT地址", prefix: 'pts6', url: 'litrop/drwp_ptysel', flg: 'C', datakey: '\\litp\\drwp\\ptslst' }} />
                    </Col>
                </Row>	
								{/* <Label itext="Drawee" trn="litrop" />	
								<InputItem InputProps={bind("pts6_extkey")}  maxLength={16}  desp="客户编号" path="/lidgrp/drw/pts/extkey" />
								<Button  type="primary" icon="search" onClick={this.onDrwp_sel} desp="查询" path="/litp/drwp/sel">
									<Label   itext="查询"/>
								</Button>
								<TextAreaItem InputProps={bind("pts6_adrblk")} desp="SWIFT地址" path="/lidgrp/drw/pts/adrblk"/> */}
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Country Code" trn="litrop" />	
                            </Col>
                            <Col span={14}>
								<SelectItem InputProps={bind("stacty")}   desp="Country Code Risk Country" path="/lidgrp/rec/stacty"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Dispatch from" trn="litrop" />	
                            </Col>
                            <Col span={14}>
								<InputItem InputProps={bind("shpfro")}  maxLength={65}  desp="Shipment from" path="/lidgrp/rec/shpfro" />
                            </Col>
                        </Row>
                    </Col>
                </Row>	
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Tenor day" trn="litrop" />	
                            </Col>
                            <Col span={14}>
								<InputItem InputProps={bind("tenmaxday")}   desp="Maximum tenor in days" path="/lidgrp/rec/tenmaxday" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Dispatch from" trn="litrop" />	
                            </Col>
                            <Col span={14}>
								<InputItem InputProps={bind("shpfro")}  maxLength={65}  desp="Shipment from" path="/lidgrp/rec/shpfro" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Mixed Payment Details" trn="litrop" />	
                            </Col>
                            <Col span={14}>
								<TextAreaItem InputProps={bind("blk_mixdet")} desp="Mixed Payment Details" path="/lidgrp/blk/mixdet"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Air-/Port of Departure" trn="litrop" />	
                            </Col>
                            <Col span={14}>
								<InputItem InputProps={bind("porloa")}  maxLength={65}  desp="Port of Loading" path="/lidgrp/rec/porloa" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
				<Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Air-/Port of Destination" trn="litrop" />	
                            </Col>
                            <Col span={14}>
								<InputItem InputProps={bind("pordis")}  maxLength={65}  desp="Port of Discharge" path="/lidgrp/rec/pordis" />
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Final Destination" trn="litrop" />	
                            </Col>
                            <Col span={14}>
								<InputItem InputProps={bind("shpto")}  maxLength={65}  desp="For Transportation to" path="/lidgrp/rec/shpto" />
                            </Col>
                        </Row>
                    </Col>
                </Row>
                <Row>
                    <Col span={12}>
                        <Row className="row">
                            <Col span={5} offset={2}>
								<Label itext="Shipment Period" trn="litrop" />	
                            </Col>
                            <Col span={14}>
								<TextAreaItem InputProps={bind("blk_shpper")} desp="Shipment Period" path="/lidgrp/blk/shpper"/>
                            </Col>
                        </Row>
                    </Col>
                    <Col span={12}>
                        <Row className="row">
                            
                        </Row>
                    </Col>
                </Row>	
                <BottomBtn _this={this} />
		</div>
		)
	}
}
