import React,{Component,Fragment} from 'react'
import {Page,Validator,Notification,FormItem,DatePickerItem,TextAreaItem,CheckboxItem,Checkbox,
    InputItem,Input,Bind,SelectItem,Button,Label,Image,Table, Steps} from '@/components/Common-Library'
import Api from '@/service/api'
import mPcysel from '../model'
import CodeTableFactory from '@/components/CodeTable'
import "./index.less"
import { inject, observer } from 'mobx-react'
import { action, observable} from 'mobx'
import Jieshouhui from './Jieshouhui'
import Cursel from './Cursel'
import Sgnsel from './Sgnsel'
import { Card } from 'antd'
import DateFormat from  '@/utils/DateUtil'

const CodeTable = CodeTableFactory.getInstance()
const StepItem = Steps.Item


@inject('UserContext')
@inject('i18n')
@observer
export default class PcyselScreen extends Page
{
	@observable
	formBlur = false

	@observable
	extra = { inifrm: 'pcysel', sptinr: '', bchlevelLst: [] }



	constructor(props) {
		super(props)
		this.state = {
			flag: true,
		}
		this.model = new mPcysel()
	}
	
	async componentWillMount() 
	{
		/*
		*添加初始化代码
		*/
		// Object.assign(this.model, );
		//快照模式下，不必开启校验，否则，静默校验，和记录变动
		!this.loadDisplay() && this.model.openMonitor && this.model.openMonitor() //开启校验	
	}
    componentWillUnmount()
    {
        this.model.stopMonitor&&this.model.stopMonitor()//关闭校验
	}

    //交易内实现
    renderPage(){
		
		
		return (
			<Card title="结售汇" size="small" className="transTitle">
				<Steps>
					<StepItem title="个人购汇">
						<Jieshouhui model={this.model} extra={this.extra}   flg="0" />
					</StepItem>
					<StepItem title="个人购汇报送信息">
						<Jieshouhui model={this.model} extra={this.extra} flg="1"/>
					</StepItem>
					<StepItem title="个人结汇">
						<Jieshouhui model={this.model} extra={this.extra} flg="2"/>
					</StepItem>
					<StepItem title="个人结汇报送信息">
						<Jieshouhui model={this.model} extra={this.extra} flg="3"/>
					</StepItem>
					<StepItem title="美元折算率">
						<Cursel model={this.model} extra={this.extra} flg="4"/>
					</StepItem>
					<StepItem title="重点关注对象">
						<Sgnsel model={this.model} extra={this.extra} flg="5"/>
					</StepItem>
				</Steps>
				<Button style={{ position:'absolute',right:'3em',top:'4em' }}  type="primary" size="small" onClick={()=>{this.props.history.push('fcyadd')}}>
					<Label itext="购汇申请" />
				</Button>
				<Button style={{ position:'absolute',right:'10em',top:'4em' }}  type="primary" size="small" onClick={()=>{this.props.history.push('lcyadd')}}>
					<Label itext="结汇申请" />
				</Button>
			</Card>
		)
 
	}
}
